<?php

/**
 *  Przerabia tablicę na tablicę do wstrzyknięcia w kod js
 *  @param mixed $arr - tablica php'owa lub string w formacie {x,y,z}
 *  @return string - tablica zgodna z js, w formacie {0:x,1:y,2:z}
 **/
function arrayToJsArray($arr)
{
    if(!is_array($arr)){
        $arr = trim($arr, '{}');
        $arr = explode(',', $arr);
    }
    
    $tmp = null;
    foreach($arr as $k=>$v){
        $tmp[] = "{$k}:{$v}";
    }
    $arr = '{'.implode(',', $tmp).'}';
    return $arr;
}

?>