<?php
    /**
    * o------------------------------------------------------------------------------o
    * | This package is licensed under the Phpguru license. A quick summary is       |
    * | that the code is free to use for non-commercial purposes. For commercial     |
    * | purposes of any kind there is a small license fee to pay. You can read more  |
    * | at:                                                                          |
    * |                  http://www.phpguru.org/static/license.html                  |
    * o------------------------------------------------------------------------------o
    *
    *  Copyright 2008 Richard Heyes
    */

    require_once('htmlMimeMail5.php');
    
    $mail = new htmlMimeMail5();

    /**
    * Set the from address of the email
    */
    $mail->setFrom('Goniec <goniec@esculap.pl>');
    
    /**
    * Set the subject of the email
    */
    $mail->setSubject('Test email');
    
    /**
    * Set high priority for the email. This can also be:
    * high/normal/low/1/3/5
    */
    $mail->setPriority('high');
//$mail->setSMTPParams('217.153.222.73');
$mail->setSMTPParams('217.153.222.78');
    /**
    * Set the text of the Email
    */
    $mail->setText('Sample text');
    
    /**
    * Set the HTML of the email. Any embedded images will be automatically found as long as you have added them
    * using addEmbeddedImage() as below.
    */
    $mail->setHTML('<b>Sample HTML</b> <img src="background.gif">');
    
    /**
    * Set the delivery receipt of the email. This should be an email address that the receipt should be sent to.
    * You are NOT guaranteed to receive this receipt - it is dependent on the receiver.
    */
    $mail->setReceipt('Slawomir.Roszczyk@cegedim.com');
    
    /**
    * Add an embedded image. The path is the file path to the image.
    */
    $mail->addEmbeddedImage(new fileEmbeddedImage('background.gif'));
    
    /**
    * Add an attachment to the email.
    */
    $mail->addAttachment(new fileAttachment('example.zip'));

    /**
    * Send the email. Pass the method an array of recipients.
    */
    $address = 'Slawomir.Roszczyk@cegedim.com';
    $result  = $mail->send(array($address), 'smtp');
?>

Email has been sent to <?=$address?>. Result: <?var_dump($result)?>
