<?php

//require_once 'banners.class.php';
require_once 'banner.class.php';

/**
 * 
 * Funkcja umożliwiająca wyświetlenie holderów banera
 * @param array $params
 * @param object $template
 * 
 */
function smarty_function_banners_holder($params, $template)
{
    if (empty($params['id'])) {
        trigger_error("banners_holder: missing id parameter", E_USER_WARNING);
        return;
    }
    
    $id = $params['id'];
    $width = isset($params['width'])?$params['width']:null;
    $height = isset($params['height'])?$params['height']:null;
    $slots = isset($params['slots'])?$params['slots']:null;
    $dev = isset($params['dev'])?$params['dev']:false;
    $sep = isset($params['sep'])?$params['sep']:false;
    //$banner = new banners($id, $width, $height, $slots, $dev);
    //$html = $banner->generateHolderCode();
    $holder = new banner_holder($id, $width, $height, $slots);
    $html = $holder->getCode($sep);
    return $html;
}

?>