<?php

namespace Model;

use System\Database\AbstractTable;

class DictBcElementTargetType extends AbstractTable
{
    /**
     * Table name in database
     * @var string
     */
    protected $table = 'dict_bc_element_target_type';

    /**
     * @throws \Exception
     * @return array
     */
    public function getAll()
    {
        try {
            $res = $this->get("SELECT * FROM {$this->table()}");

            return $res;
        } catch (\Exception $exception) {
            throw new \Exception(__METHOD__ . '. ' . $exception->getMessage());
        }
    }

    /**
     * @throws \Exception
     * @return array
     */
    public function getNames()
    {
        $names = $this->getAll();

        $result = [];
        foreach ($names as $name) {
            $result[$name['id']] = $name['name'];
        }

        return $result;
    }
}
