<?php

namespace Model;
use System\Database\AbstractTable;

class DictJournals extends AbstractTable {
	
	protected $table = 'main_journals';
	
	public function getAll( $activeOnly = true ) {
		
		try {
			
			$activeOnly = (bool)$activeOnly;
			
			$res = $this->adapter->createStatement("
				SELECT * FROM {$this->table()} " . ( $activeOnly ? 'WHERE lower( status ) = \'vis\'' : '' ) . " ORDER BY title
			")->execute();
			
			$result = array();
			foreach( $res as $row ) {
				
				$result[] = $row;
			}
			
			return $result;
		
		} catch( \Exception $e ) {
			
			throw new \Exception( __METHOD__ . ". Nieudanło sie pobrać listy magazynów z '{$this->table()}'. " . $e->getMessage() );
		}
	}
	
	public function isExists( $idJournal ) {
		
		try {
			
			$res = $this->adapter->createStatement ("
				SELECT * FROM {$this->table()} WHERE id_journal = {$idJournal}
			")->execute();
			
			return (bool)$res->count();
			
		} catch( \Exception $e ) {
			
			throw new \Exception( __METHOD__ . ". Neiudane sprawdzenie czy czasopismo istnieje idJournal=\"{$idJournal}\". " . $e->getMessage() );
		}
	}
	
	public function getJournals( $idList ) {
		
		try {
			
			$idList = implode( ',' , $idList );
			
			$res = $this->get("
				SELECT * FROM {$this->table()} WHERE id_journal in ( {$idList} )
			");
			
			$result = array();
			
			foreach( $res as $row ) {
				
				$result[ $row[ 'id_journal' ] ] = $row[ 'title' ];
			}
			
			return $result;
			
		} catch( \Exception $e ) {
		
		
			throw new \Exception( "Błąd odczytu dla:\"" . $idList ."\"" . $e->getMessage() );
		}
	}
	
}

?>