<?php
namespace Model\Entity;

use Model\Entity\MainSite;
use Model\Entity\DictMainSiteContentTypeView;

class MainSiteContentPage {

    protected $id = null;
    protected $mainSiteId = null;
    protected $mainSite = null;
    protected $dictMainSiteContentTypeViewId = null;
    protected $dictMainSiteContentTypeView = null;
    protected $view = null;

    public function setId($id) {
        if ($id == null) {
            $this->id = null;
        } else {
            $this->id = (int)$id;
        }
        return $this;
    }

    public function getId() {
        if ($this->id == null) {
            return null;
        } else {
            return (int)$this->id;
        }
    }

    public function setMainSiteId($mainSiteId) {
        if ($mainSiteId == null) {
            $this->mainSiteId = null;
        } else {
            $this->mainSiteId = (int)$mainSiteId;
        }
        return $this;
    }

    public function getMainSiteId() {
        if ($this->mainSiteId == null) {
            return null;
        } else {
            return (int)$this->mainSiteId;
        }
    }

    public function setMainSite(MainSite $mainSite) {
        $this->mainSite = $mainSite;
        return $this;
    }

    public function getMainSite() {
        if ($this->mainSite == null) {
            return null;
        } else {
            return $this->mainSite;
        }
    }

    public function setDictMainSiteContentTypeViewId($dictMainSiteContentTypeViewId) {
        if ($dictMainSiteContentTypeViewId == null) {
            $this->dictMainSiteContentTypeViewId = null;
        } else {
            $this->dictMainSiteContentTypeViewId = (int)$dictMainSiteContentTypeViewId;
        }
        return $this;
    }

    public function getDictMainSiteContentTypeViewId() {
        if ($this->dictMainSiteContentTypeViewId == null) {
            return null;
        } else {
            return (int)$this->dictMainSiteContentTypeViewId;
        }
    }

    public function setDictMainSiteContentTypeView(DictMainSiteContentTypeView $dictMainSiteContentTypeView) {
        $this->dictMainSiteContentTypeView = $dictMainSiteContentTypeView;
        return $this;
    }

    public function getDictMainSiteContentTypeView() {
        if ($this->dictMainSiteContentTypeView == null) {
            return null;
        } else {
            return $this->dictMainSiteContentTypeView;
        }
    }

    public function setView($view) {
        if ($view == null) {
            $this->view = null;
        } else {
            $this->view = (string)$view;
        }
        return $this;
    }

    public function getView() {
        if ($this->view == null) {
            return null;
        } else {
            return (string)$this->view;
        }
    }

}
