<?php
namespace Model\Entity;

use Model\Entity\MainSite;

class MainSiteCustomPage {

    protected $id = null;
    protected $mainSiteId = null;
    protected $mainSite = null;
    protected $url = null;
    protected $view = null;
    protected $loginRequired = null;

    public function setId($id) {
        if ($id == null) {
            $this->id = null;
        } else {
            $this->id = (int)$id;
        }
        return $this;
    }

    public function getId() {
        if ($this->id == null) {
            return null;
        } else {
            return (int)$this->id;
        }
    }

    public function setMainSiteId($mainSiteId) {
        if ($mainSiteId == null) {
            $this->mainSiteId = null;
        } else {
            $this->mainSiteId = (int)$mainSiteId;
        }
        return $this;
    }

    public function getMainSiteId() {
        if ($this->mainSiteId == null) {
            return null;
        } else {
            return (int)$this->mainSiteId;
        }
    }

    public function setMainSite(MainSite $mainSite) {
        $this->mainSite = $mainSite;
        return $this;
    }

    public function getMainSite() {
        if ($this->mainSite == null) {
            return null;
        } else {
            return $this->mainSite;
        }
    }

    public function setUrl($url) {
        if ($url == null) {
            $this->url = null;
        } else {
            $this->url = (string)$url;
        }
        return $this;
    }

    public function getUrl() {
        if ($this->url == null) {
            return null;
        } else {
            return (string)$this->url;
        }
    }

    public function setView($view) {
        if ($view == null) {
            $this->view = null;
        } else {
            $this->view = (string)$view;
        }
        return $this;
    }

    public function getView() {
        if ($this->view == null) {
            return null;
        } else {
            return (string)$this->view;
        }
    }
    
    public function setLoginRequired($loginRequired) {
        if ($loginRequired === null) {
            $this->loginRequired = null;
        } else {
            $this->loginRequired = (bool)$loginRequired;
        }
        return $this;
    }
    
    public function getLoginRequired() {
        if ($this->loginRequired === null) {
            return null;
        } else {
            return (bool)$this->loginRequired;
        }
    }
    
}
