<?php
namespace Model\Entity;

class MainUser {

    protected $id = null;
    protected $login = null;
    protected $password = null;
    protected $email = null;
    protected $lang = null;
    protected $workCountry = null;
    protected $onekeyId = null;
    protected $userType = null;
    protected $trustLevel = null;
    protected $startDate = null;
    protected $modificationDate = null;
    protected $retired = null;
    protected $regulations = null;
    protected $emailEsc = null;
    protected $sex = null;
    protected $quickRegistration = null;

    public function setId($id) {
        if ($id == null) {
            $this->id = null;
        } else {
            $this->id = (integer) $id;
        }
        return $this;
    }

    public function getId() {
        if ($this->id == null) {
            return null;
        } else {
            return (integer) $this->id;
        }
    }

    public function setLogin($value) {
        if ($value == null) {
            $this->login = null;
        } else {
            $this->login = (string) $value;
        }
        return $this;
    }

    public function getLogin() {
        if ($this->login == null) {
            return null;
        } else {
            return (string) $this->login;
        }
    }

    public function setPassword($value) {
        if ($value == null) {
            $this->password = null;
        } else {
            $this->password = (string) $value;
        }
        return $this;
    }

    public function getPassword() {
        if ($this->password == null) {
            return null;
        } else {
            return (string) $this->password;
        }
    }

    public function setEmail($value) {
        if ($value == null) {
            $this->email = null;
        } else {
            $this->email = (string) $value;
        }
        return $this;
    }

    public function getEmail() {
        if ($this->email == null) {
            return null;
        } else {
            return (string) $this->email;
        }
    }

    public function setLang($value) {
        if ($value == null) {
            $this->lang = null;
        } else {
            $this->lang = (string) $value;
        }
        return $this;
    }

    public function getLang() {
        if ($this->lang == null) {
            return null;
        } else {
            return (string) $this->lang;
        }
    }

    public function setWorkCountry($value) {
        if ($value == null) {
            $this->workCountry = null;
        } else {
            $this->workCountry = (string) $value;
        }
        return $this;
    }

    public function getWorkCountry() {
        if ($this->workCountry == null) {
            return null;
        } else {
            return (string) $this->workCountry;
        }
    }

    public function setOnekeyId($value) {
        if ($value == null) {
            $this->onekeyId = null;
        } else {
            $this->onekeyId = (string) $value;
        }
        return $this;
    }

    public function getOnekeyId() {
        if ($this->onekeyId == null) {
            return null;
        } else {
            return (string) $this->onekeyId;
        }
    }

    public function setUserType($value) {
        if ($value == null) {
            $this->userType = null;
        } else {
            $this->userType = (string) $value;
        }
        return $this;
    }

    public function getUserType() {
        if ($this->userType == null) {
            return null;
        } else {
            return (string) $this->userType;
        }
    }

    public function setTrustLevel($value) {
        if ($value == null) {
            $this->trustLevel = null;
        } else {
            $this->trustLevel = (integer) $value;
        }
        return $this;
    }

    public function getTrustLevel() {
        if ($this->trustLevel == null) {
            return null;
        } else {
            return (integer) $this->trustLevel;
        }
    }

    public function setStartDate($value) {
        if ($value == null) {
            $this->startDate = null;
        } else {
            $this->startDate = (string) $value;
        }
        return $this;
    }

    public function getStartDate() {
        if ($this->startDate == null) {
            return null;
        } else {
            return (string) $this->startDate;
        }
    }

    public function setModificationDate($value) {
        if ($value == null) {
            $this->modificationDate = null;
        } else {
            $this->modificationDate = (string) $value;
        }
        return $this;
    }

    public function getModificationDate() {
        if ($this->modificationDate == null) {
            return null;
        } else {
            return (string) $this->modificationDate;
        }
    }

    public function setRetired($value) {
        if ($value == null) {
            $this->retired = null;
        } else {
            $this->retired = (boolean) $value;
        }
        return $this;
    }

    public function getRetired() {
        if ($this->retired == null) {
            return null;
        } else {
            return (boolean) $this->retired;
        }
    }

    public function setRegulations($value) {
        if ($value == null) {
            $this->regulations = null;
        } else {
            $this->regulations = (boolean) $value;
        }
        return $this;
    }

    public function getRegulations() {
        if ($this->regulations == null) {
            return null;
        } else {
            return (boolean) $this->regulations;
        }
    }

    public function setEmailEsc($value) {
        if ($value == null) {
            $this->emailEsc = null;
        } else {
            $this->emailEsc = (string) $value;
        }
        return $this;
    }

    public function getEmailEsc() {
        if ($this->emailEsc == null) {
            return null;
        } else {
            return (string) $this->emailEsc;
        }
    }

    public function setSex($value) {
        if ($value == null) {
            $this->sex = null;
        } else {
            $this->sex = (string) $value;
        }
        return $this;
    }

    public function getSex() {
        if ($this->sex == null) {
            return null;
        } else {
            return (string) $this->sex;
        }
    }

    public function setQuickRegistration($value) {
        if ($value == null) {
            $this->quickRegistration = null;
        } else {
            $this->quickRegistration = (boolean) $value;
        }
        return $this;
    }

    public function getQuickRegistration() {
        if ($this->quickRegistration == null) {
            return null;
        } else {
            return (boolean) $this->quickRegistration;
        }
    }

}
