<?php

namespace Model;
use System\Database\AbstractTableContent,
	Zend\Db\Sql\Select,
	Zend\Db\Sql\Expression;

class ExtContentEvent extends AbstractTableContent {
	protected $table = 'ext_content_event';
		
	public function expandEvent($contentId,$langId,$scored = false,$points = NULL,$paid = false,$price = NULL,$file = NULL) {
		
		try {
			
			$langId = strtoupper($langId);
			
			$res = $this->adapter->createStatement("
				INSERT INTO {$this->table()} 
				(content_id,lang_id,scored,points,paid,price,file_url) VALUES
				({$contentId},'{$langId}','".((bool)$scored ? 'true' : 'false')."',".(null !== $points ? "'{$points}'" : 'NULL').",'".((bool)$paid ? 'true' : 'false')."',".(null !== $price ? "'{$price}'" : 'NULL').",".(null !== $file ? "'{$file}'" : 'NULL').")")->execute();
		
		} catch(\Exception $e) {
			throw new \Exception(__METHOD__.'. '.$e->getMessage());
		}
	}
	
	
	public function updateEvent( $contentId,$langId,$scored = false,$points = NULL,$paid = false,$price = NULL,$file = NULL ) {
	
		try {                        	
		$res = $this->adapter->createStatement("
				UPDATE {$this->table()} SET
					scored = ".((bool)$scored ? 'true' : 'false')." , points = ".(null !== $points ? "'{$points}'" : 'NULL')." ,
					paid = ".((bool)$paid ? 'true' : 'false')." , price = ".(null !== $price ? "'{$price}'" : 'NULL')." , file_url = ".(null !== $file ? "'{$file}'" : 'NULL')."
					WHERE content_id = {$contentId} and lang_id = '{$langId}'
			")->execute();
			
			
			if( 1 == $res->getAffectedRows() )
				return true;
			return false;
			
		} catch( \Exception $e) {
			
			throw new \Exception( __METHOD__ . '. Nieudana próba updatu rozszerzenia wventu. ' . $e->getMEssage() );
		}
	}

}

?>