<?php

namespace Model;

use System\Database\AbstractTable;

class MainBannerUserView extends AbstractTable {
	
	protected $table = 'main_bc_element_view';
	
	public function registerView( $bcElementId , $userId , $sitecode , $usercode ) {
		
		try {
			
			$values = '';
			
			if( is_array( $bcElementId ) ) {
				
				foreach( $bcElementId as $elementId ) {
				
					$elementId = (int)$elementId;
				
					if( strlen( $values ) )
						$values .= ',';
						
						
					$values .= " ( {$elementId} , {$userId} , '{$sitecode}' , '{$usercode}' , NOW() ) ";
				}
				
			} else {
				
				$bcElementId = (int)$bcELementId;
				
				$values = " ( {$bcElementId} , {$userId} , '{$sitecode}' , '{$usercode}' , NOW() ) ";
				
			}
			
			
			$res = $this->adapter->createStatement("
				INSERT INTO {$this->table()} ( main_bc_element_id , main_user_id , sitecode , usercode , time ) VALUES {$values}
			")->execute();
			
			
			
		} catch( \Excepttion $e ) {
		
			throw new \Exception( __METHOD__ . '. ' . $e->getMessage() );
		}
	}			
}

?>