<?php

namespace Model;
use System\Database\AbstractTable;

class MainContentMainFile extends AbstractTable {
	protected $table = 'main_content_main_file';

	public function addRelation( $contentId , $langId , $ffu2sId ) {
		
		try {
			
			$res = $this->adapter->createStatement("
				INSERT INTO {$this->table()} ( content_id , lang_id , ffu2s_id ) VALUES ( {$contentId} , '{$langId}' , {$ffu2sId} )
			")->execute();
			
			$res = $this->adapter->createStatement("
				UPDATE {$this->table()} SET active = 0 WHERE content_id = {$contentId} AND lang_id = '{$langId}' AND mcmf_id < ( SELECT MAX( mcmf_id ) FROM {$this->table()} WHERE content_id = {$contentId} AND lang_id = '{$langId}' );
			")->execute();
			
			return true;
			
		} catch( \Exception $e ) {
			
			throw new \Exception( __METHOD__ . ". Neiudana próba dodania relacji pomiędzy obrazkiem a plikiem montentId=\"{$contentId}\", ffu2sId=\"{$ffu2sId}\"" );
		}
	}
	
	
	public function getRelatedFile( $contentId , $langId , $all = false ) {
		
		try {
			
			$res = $this->adapter->createStatement("
				SELECT * FROM {$this->table()} , ffu2s WHERE content_id = {$contentId} AND lang_id = '{$langId}' AND 
				{$this->table()}.ffu2s_id = ffu2s.id AND {$this->table()}.active = 1
			")->execute();
			
			if( 0 == $res->getRowCount() )
				return false;
			return $res->current();
			
		} catch( \Exception $e ) {
			
			throw new \Exception();
		}
	}
}

?>