<?php
namespace Model;

use System\Database\AbstractTable;

class RelBcElementSet extends AbstractTable {

    protected $table = 'rel_bc_element_set';

    public function getPlacesForCode($code) {

        try {

            $code = trim($code);

            $res = $this->get("
				SELECT dict_bc_element_place_id FROM {$this->table()} rbes, {$this->table('dict_bc_element_set')} dbes WHERE
				rbes.dict_bc_element_set_id = dbes.id AND 
				trim( dbes.name ) = '{$code}' 
			");

            $result = array();
            foreach ($res as $row) {

                $result[] = $row['dict_bc_element_place_id'];
            }

            return $result;
        } catch (\Exception $e) {

            throw new \Exception(__METHOD__ . '. ' . $e->getMessage());
        }
    }

    public function addPlaceForEveryCode($placeId) {
        $res = $this->adapter->createStatement("SELECT * FROM {$this->table('dict_bc_element_set')}")->execute();
        if (!$res->count()) return false;

        $result = array();
        foreach ($res as $row) {
            $result[] = $row['id'];
        }

        foreach ($result as $setId) {
            $this->adapter->createStatement("INSERT INTO {$this->table()} (dict_bc_element_set_id, dict_bc_element_place_id) VALUES ({$setId}, {$placeId})")->execute();
        }
    }

}

?>