<?php

namespace Model;

use System\Database\AbstractTable;

class RelClientBanner extends AbstractTable {
	protected $table = 'rel_client_banner';
	
	protected $rules = array(
		'main_dimages_image_name' => 'code',
		'ext' => 'type'
	);
	
	public function registerRelation( $clientId , $imageName , $imageLabel ) {
		
		try {
				
			$clientId = (int)$clientId;
			
			$clientId = (int)$clientId;
			
			$test = $this->get("
				SELECT * FROM {$this->table()} WHERE dict_client_id = {$clientId} AND main_dimages_image_name = '{$imageName}'
			");
		 	
			if( $test->count() > 0 ) return true;
			
			$res = $this->adapter->createStatement("
				INSERT INTO {$this->table()} ( dict_client_id , main_dimages_image_name , name ) VALUES
								 ( {$clientId} , '{$imageName}' , '{$imageLabel}' )
			")->execute();
			
			if( $res->getAffectedRows() == 1 )
				return true;
			return false;
	
		} catch( \Exception $e ) {
			
			throw new \Exception( __METHOD__ . ". " . $e->getMessage() );
		}
	}
	
	
	public function getBannersForClient( $idClient ) {
		
		try {
			
			$idClient = (int)$idClient;
			
			$res = $this->get("
				SELECT * FROM {$this->table()} dcb , main_dimages md WHERE 
				dcb.main_dimages_image_name = md.image_name AND
				dict_client_id = {$idClient}
				ORDER BY name
			");
			
			return $this->translate( $this->fetchAll( $res ) );
			
		} catch( \Exception $e ) {
			
			throw new \Exception( __METHOD__ . '. ' . $e->getMessage() );
		}
	}
}

?>