<?php

namespace Model;
use System\Database\AbstractTable;

class RelDimages extends AbstractTable {
	protected $table = 'rel_dimages';
	
	public function addRelation( $contentId , $imageId ) {
		
		try {
			
			$res = $this->adapter->createStatement("
				INSERT INTO {$this->table()} ( image_name , content_id ) VALUES ( '{$imageId}' , {$contentId} )
			")->execute();
			
			return true;
			
		} catch( \Exception $e) {
			
			throw new \Exception( "Błąd przy dopiwywaniu ubrazka do kontentu contentId =\"{$contentId}\" imageId=\"{$imageId}\". " . $e->getMessage() );
		}
	}
	
	
	public function getRelatedImages( $contentId ) {
		
		try {
			
			$contentId = (int)$contentId;
			
			if( !$contentId > 0 ) {
				return array();
			}
			
			$res = $this->adapter->createStatement("
				SELECT * FROM {$this->table()}, main_dimages WHERE content_id = {$contentId} AND main_dimages.image_name = {$this->table()}.image_name
			")->execute();
		
			$result = array();
			
			foreach( $res as $row ) {
				
				$result[] = $row;
			}
			
			return $result;
		
		} catch( \Exception $e) {
			 
			throw new \Exception( 'Bobranie powiązanych grafik niepowiodło się. ' . $e->getMessage() );
		}
	}
	
	
	public function isUnique( $contentId , $imageId ) {
		
		try {
			
			$res = $this->adapter->createStatement("
				SELECT content_id FROM {$this->table()} WHERE image_name = '{$imageId}' AND content_id = '{$contentId}'
			")->execute();
			
			
			$res = $res->current();
			
			if( isset( $res[ 'content_id' ] ) )
				return false;
			return true;
			
			
		} catch( \Exception $e ) {
			
			throw new \Exception( "Nieudane odczytanie danych z bazy idContent = \"{$idContent}\" , imageId=\"{$imageId}\" " . $e->getMessage() );
		}
	}
}


?>