<?php

namespace Model;

class Tvviplog extends \System\Database\AbstractTable{
	protected $table = 'tvviplog';

	public function getAll(){
		$res = $this->adapter->createStatement("SELECT presentation, count(*) FROM {$this->table} GROUP BY presentation ORDER BY count(*) DESC");
		$res = $res->execute();

		$result = array();

		foreach($res as $key => $row){
			$row['ratio'] = round(($row['count'] / $this->getCount() * 100), 2)."%";
			$row['id'] = $key+1;
			$result[] = $row;
		}
		return $result;
	}

	public function getCount(){
		$res = $this->adapter->createStatement("SELECT count(*) AS count FROM {$this->table}");
		$res = $res->execute();
		$res = $res->current();

		return $res['count'];
	}

	public function getDetails($presentation){
		$res = $this->adapter->createStatement("SELECT * FROM {$this->table} WHERE presentation = {$presentation}");
		$res = $res->execute();

		return $res;
	}
}
?>