<?php

namespace Model;
use System\Database\AbstractTable;

class cmsMainOnekeyMapComments extends AbstractTable {
	protected $table = 'cms.main_onekey_map_comments';
	
	public function addComment( $recipitent , $creator , $content ) {
		
		try {
		
			$res = $this->adapter->createStatement("
				INSERT INTO {$this->table} ( comment_for , created_by , content ) VALUES ({$recipitent},{$creator},'{$content}')
			")->execute();
			
			if( $res->getAffectedRows() == 1 )
				return true;
			return false;
			
		} catch( \Exception $e ) {
			
			throw new \Exception( "Nie udało się dodać komentarza dla usera: comment_for = \"{$recipitent}\", created_by = \"{$creator}\", content = \"{$content}\". " . $e->getMessage() );
		}
	}
	
	public function getCommentsForUser( $userId ) {
		
		try {
			
			$res = $this->adapter->createStatement("
				SELECT * FROM {$this->table} WHERE comment_for = {$userId}
			")->execute();
			
			$result = array();
			
			foreach( $res as $row ) {
				
				$result[] = $row;
			}
			
			return $result;
		
		} catch( \Exception $e) {
			
			throw new \Exception( __METHOD__ . ". Nie udało się pobrać komentarzy. userId = \"{$userId}\". " . $e->getMessage() );
		}
	}
}

?>