<?php

namespace Model;
use System\Database\AbstractTable;

class cmsMainOnekeyMapContactAttempt extends AbstractTable {
	protected $table = 'cms.main_onekey_map_contact_attempt';
	
	public function increment( $id ) {
		
		try {
			
			// sprawdzam czy użytkownik ma już wiersz odpowiadający jego id
			
			$res = $this->adapter->createStatement("
				SELECT * FROM {$this->table} WHERE user_id = {$id}
			")->execute();
			
		} catch( \Exception $e ) {
			
			throw new \Exception( __METHOD__ . "Nie udało sie sprawdzić czy wiersz dla id = \"{$id}\" istnieje. " . $e->getMessage() );
		}
		
		
		// jeśli użytkownik niema swojego wiersza zakładam go z wartością 1 lub jeśli ma to dodaję 1 do obecnej wartości
		if( !count($res) ) {
			
			$id = (int) $id;
			
			try {
			
				$res = $this->adapter->createStatement("
					INSERT INTO {$this->table} ( user_id , contact_attempt ) VALUES ( {$id} , 1 )
				")->execute();
				
			} catch( \Exception $e ) {
				
				throw new \Exception( __METHOD__ . ". Nie udało sie dodać wiersza dla id = {$id}. " . $e->getMessage() );
			}

		} else {
			
			try {
			
				$res = $this->adapter->createStatement("
					UPDATE {$this->table} SET contact_attempt = coalesce(contact_attempt,0) + 1 WHERE user_id = {$id}
				")->execute();
				
			} catch( \Exception $e ) {
				
				throw new \Exception( __METHOD__ . ". Inkrementacja licznika nie powiodła sie dla id = {$id}. " . $e->getMessage() );
			}
		}
		
		
		if( $res->getAffectedRows() == 1) 
			return true;
		return false;
	}
		
	public function getAttempts( $id ) {
		
		try {
			
			$res = $this->adapter->createStatement("
				SELECT * FROM {$this->table} WHERE user_id = {$id}
			")->execute();
			
			if( !count($res) )
				return 0;
			
			$res = $res->current();
			return (int) $res['contact_attempt'];
			
		} catch( \Exception $e) {
			
			throw new \Exception( __METOHD__ . '. Nieudało się pobrać danych o próbach kontaktu.' . $e->getMessage() );
		}
	}
	
	
	public function resetAttempts( $id ) {
		
		try {
			
			$res = $this->adapter->createStatement("
				UPDATE {$this->table} set contact_attempt = NULL WHERE user_id = {$id}
			")->execute();
			
			if( $res->getAffectedRows() == 1 )
				return true;
			return false;
			
		} catch( \Exception $e ) {
			
			throw new \Exception( __METHOD__ . ". Reset licznika nie powiódł się. " . $e->getMessage() );
		}
	}
}

?>