<?php

namespace Model;
use System\Database\AbstractTable;

class cmsMainOnekeyMapUserColumns extends AbstractTable {
	protected $table = 'cms.main_onekey_map_user_columns';
	
	
	public function getUserColumns( $userId , $type , $lang ) {
		
		try {
			
			$lang = strtoupper( $lang );
			
			$res = $this->adapter->createStatement("
				SELECT * FROM {$this->table} momuc , cms.main_onekey_map_available_column momac WHERE user_id = {$userId} AND type = '{$type}' AND language = '{$lang}' AND momuc.momac_id = momac.momac_id
			")->execute();
			
			$result = array();
			
			foreach( $res as $row) {
				
				$result[] = $row;
			}
			
			return $result;
		
		} catch( \Exception $e ) {
			
			throw new \Exception( __METHOD__ . ". Błąd przy odczycie danych userId = \"$userId\" type = \"$type\"");
		}
	}
	
	public function setUserColumns( $userId, $type, $columns , $lang  ) {
		
		try {
			
			$lang = strtoupper( $lang );
			$userId = (int) $userId;
			$type = $type[0];
			
			$this->adapter->createStatement("DELETE FROM {$this->table} WHERE user_id = {$userId} AND type = '{$type}' AND language = '{$lang}' ")->execute();
			
			foreach( $columns as $columnId ) {
				
				$res = $this->adapter->createStatement("
					INSERT INTO {$this->table} ( user_id , type , momac_id , language ) VALUES ( {$userId} , '{$type}' , {$columnId} , '{$lang}' )
				")->execute();
				
			}
			
			return true;
			
		} catch( \Exception $e ) {
			throw new \Exception( __METHOD__ . ". Błąd przy pobraniu kolumn userId =\"{$userId}\" type=\"{$type}\". " . $e->getMessage() );
		}
	}
}


?>