<?php

namespace System\Acl;

use Zend\Permissions\Acl\Acl;
use Zend\Permissions\Acl\Role\GenericRole as Role;
use Zend\Permissions\Acl\Resource\GenericResource as Resource;

class AclAdapter extends Acl {

	public function init($roles,$actions,$settings) {
		
		
		$Acl = new Acl();
		
		foreach($actions as $actionRow) {
			if(!$Acl->hasResource($actionRow['system'].'-'.$actionRow['controller'])) {
				$Acl->addResource(new Resource($actionRow['system'].'-'.$actionRow['controller']));
			}
			
			if(!$Acl->hasResource($actionRow['system'].'-'.$actionRow['controller'].'-'.$actionRow['action'])) {
				$Acl->addResource(new Resource($actionRow['system'].'-'.$actionRow['controller'].'-'.$actionRow['action']));
			}
		}
		
		//$this->View->a = implode(',',get_class_methods($Acl));
		
		
		
		
		
		
		
		
		$Acl->addRole(new Role($this->identity));
	}
}


?>