<?php

namespace System;

class ArrayWrapper
{

    protected $data = array();

    public function __construct($data)
    {
        if (is_array($data)) {
            $this->data = $data;
        }
    }

    public function __get($name)
    {
        if (isset($this->data[$name])) {
            return $this->data[$name];
        }

        return null;
    }

    public function get($name)
    {
        if (isset($this->data[$name])) {
            return $this->data[$name];
        }

        return null;
    }
}