<?php

namespace System\Authentication;

use Zend\Authentication\AuthenticationService as ZendAuthenticationService;
use System\Authentication\AuthenticationAdapter;


class AuthenticationService extends ZendAuthenticationService {
	protected $_adapter;
	
	
	
	public function hesIdentity( \System\Authentication\AuthenticationAdapter $authAdapter ) {
		$this->_adapter = $authAdapter;
		
		
		// sprawdzam czy uytkownik jest zalogowany w eloginie
		$loggedInElogin = (bool)$authAdapter->hasIdentity();
		$storage = $this->getStorage()->read();
		
		
		if( $loggedInElogin && isset($storage['user_code']) && $loggedInElogin == $storage[ 'user_code' ]) {
			
			return true;
			
		} else {
			
			if(!$loggedInElogin) {
			
				//session_regenerate_id();
			}
			
			//$this->clearIdentity();
			
			return false;
		}
	}
	
	public function logout() {
		
		if( $this->_adapter->logout() ) {
			
			$this->clearIdentity();
			
			return true;
		}
		
		return false;
	}
}

?>