<?php

namespace System\BannerCampaign;
use System\Std\ObserverInterface,
	Model\MainBannerTypeConfig,
	Model\MainBannerUserView;

class BannerObserver implements ObserverInterface {
	
	protected $data = array();
	protected $dbObj = null;
	protected $oDbViews = null;
	
	public static $COUNT_STATISTICS = true;

	public function notify($name,$data) {
		
		// przechodzimy na wbserv, który przejmuje wszystkie czynności związane z banerami
		return;
		
		if( !self::$COUNT_STATISTICS ) return;
		
		
		if(null == $this->dbObj) {
			$this->dbObj = new MainBannerTypeConfig;
			$this->oDbViews = new MainBannerUserView;
		}
		
		
		if($name == 'banner_view') {
			
			$this->data['views'][] = (int)$data['id'];
			$this->oDbViews->registerView($data['id'],$data['ulogin']);
			
		} elseif($name = 'banner_hit') {
			
			$this->data['hits'][] = (int)$data;
		}
	}

	public function __destruct() {
		$MainBannerTypeConfig = null;
		
		if(isset($this->data['views']) && count($this->data['views']) > 0) {
			$this->dbObj->incrementViews($this->data['views']);
		}
		
		if(isset($this->data['hits']) && count($this->data['hits']) > 0) {
			$this->dbObj->incrementHits($this->data['hits']);
		}
	}
}

?>