<?php

namespace System\Content;
use Sustem\Content\AbstractConfig;

class CollectionConfig extends AbstractConfig{
	
	/**
	* integer COLLECTION_ID - id kolekcji
	* int ROWS_NUMBER 		- liczba wierszy
	* int ROWS_START		- numer elementu od, ktrego zaczynam pobiera wiersze.
	* array SPEC_TYPES 		- lista specializacji do, ktrych przypisany jest element kolekcji. Kolejno w tablicy ma znaczenie index 0 jest najsilniejszy
	*/
	protected $_options = array(
		'COLLECTION_ID' => null,
	);
	
	public function __construct($configuration = array()) {
		parent::__construct($options);
		
		
		if(empty($configuration['COLLECTION_ID']) || !strlen($configuration['COLLECTION_ID'])) {
			throw new \Exception(__METHOD__.'.Klucz "COLLECTION_ID" jest wymagany!');
		}
		$this->_options['COLLECTION_ID'] = $configuration['COLLECTION_ID'];
		unset($configuration['COLLECTION_ID']);
	}
}

?>