<?php

namespace System\Content\Element;
use System\Content\Element\AbstractContentElement ;

class Publication extends AbstractContentElement {
	
	protected $id;
	protected $lang_id;
	protected $title;
	protected $author;
	protected $head;
	protected $body;
	protected $publ_type;
	protected $journal_id;
	protected $page;
	protected $copyrights;
	protected $date;
	protected $avatar;
	protected $keywords;
	protected $englishTitle;
	protected $collections;
        protected $mainSiteId;
        protected $journalEdition;
	
	protected $_needed = array(
		'content_id' => 'id',
		'lang_id' => 'langId',
		'title' => 'title',
		'author' => 'author',
		'head' => 'head',
		'body' => 'body',
		'publ_type' => 'type',
		'journal_id' => 'joirnalId',
		'page' => 'page',
		'copyrights' => 'copyrights',
		'date' => 'date',
		'avatar_id' => 'avatar',
		'keywords' => 'keywords',
		'file_url' => 'fileUrl',
		'english_title' => 'englishTitle',
		'collections' => 'collections',
                'main_site_id' => 'mainSiteId',
                'edition' => 'journalEdition',
	);
	
	public function __construct($data) {
		$missingKeys = array();
		
		if(!$this->parseArray($data,$missingKeys)) {
			//throw new \Exception(__METHOD__.". Brak nast�puj�cych kluczy w tablicy przekazanej do konstruktora. Brak kluczy o nazwach ".implode(',',$missingKeys));
		}
		
		$this->processInputData($data);
	}
}

?>