<?php

namespace System\Content;
use System\Content\Config;
use System\Content\Element\News;

class NewsFactory {

	protected function __construct() {}

	public function factory(Config $config) {
		
		$MainContetnNews = new \Model\MainContentNews();
		
		$matchesElements = $MainContentNews->getNews(
			$config->SPEC_TYPES,
			$config->ROWS_NUMBER,
			$config->ROWS_START,
			$config->getOptions()
		);
		
		$result = array();
		
		foreach($matchesElements as $element) {
			
			$result[] = new News($element);
		}
		
		return $result;
	}
}

?>