<?php
namespace System\Controller\Plugin;

use Zend\Mvc\Controller\Plugin\Redirect;

class ExtendedRedirect extends Redirect {

    public function toList() {
        return $this->toRoute(null, ['action' => '']);
    }

    public function toRoute($route = null, $params = array(), $options = array(), $reuseMatchedParams = false) {
        $controller = $this->getController();

        if ($controller->getEvent()->getRouteMatch()->getParam('relational_view') == 'true') {
            if (!isset($params['relational_view'])) {
                $params['relational_view'] = 'true';
            }

            return parent::toRoute($route, $params, $options, $reuseMatchedParams);
        } else {
            return parent::toRoute($route, $params, $options, $reuseMatchedParams);
        }
    }

}
