<?php
namespace System\Form;

use System\Translator;

class Delete extends AbstractForm implements DrawableInterface {

    protected $name = 'delete';

    public function __construct() {
        $translator = Translator\TranslatorEx::get();

        $this->setFormMode(parent::DELETE);
        $fields = array(
            array('name' => 'submit-button', 'type' => 'Zend\Form\Element\Submit', 'attributes' => array('class' => 'form-submit confirm-delete-submit', 'value' => $translator->translate('delete_confirm')))
        );

        parent::init($fields);
    }

    public function draw() {
        $this->form->queue = array('submit-button');
        return $this->form;
    }

}
