<?php

namespace System\Form\Transform;

class CmsAddEditNews extends TransformAbstract {
	
	protected $transformationRules = array(
		'title' => 'title',
		'head' => 'headers',
		'keywords' => 'keywords',
		'body' => 'content',
		'copyrights' => 'copyrights',
		'author' => 'author',
		'newsType' => 'type',
		'timeout' => 'active_in',
		'langId' => 'language',
		'userDate' => 'date',
		'avatar' => 'avatar_value',
		'relatedImages' => 'graphics_value',
		'specs' => 'specs_value',
		'active' => 'active',
		'searchable' => 'searchable',
		'contentSpecNames' => 'spec_names',
		'collections' => 'collection',
		'visible_in_esculap' => 'esculap_collection',
		'content_of_the_day' => 'content_of_the_day',
		'mainSiteId' => 'main_site_id',
	);
}
