<?php

namespace System\Form\Transform;

class CmsAddEditPublication extends TransformAbstract {
	
	protected $transformationRules = array(
		'langId' => 'language',
		'title' => 'title',
		'author' => 'author',
		'head' => 'headers',
		'body' => 'content',
		'type' => 'type',
		'joirnalId' => 'journal',
		'copyrights' => 'copyrights',
		'date' => 'date',
		'keywords' => 'keywords',
		'active' => 'active',
		'searchable' => 'searchable',
		'contentSpecNames' => 'spec_names',
		'specs' => 'specs_value',
		'timeout' => 'active_in',
		'avatar' => 'avatar_value',
		'relatedImages' => 'graphics_value',
		'fileUrl' => 'document_value',
		'page' => 'page',
		'englishTitle' => 'english_title',
		'collections' => 'collection',
		'visible_in_esculap' => 'esculap_collection',
		'content_of_the_day' => 'content_of_the_day',
                'mainSiteId' => 'main_site_id',
                'edition_book_year' => 'book_year',
                'edition_book_month' => 'book_month',
                'edition_subject' => 'subject',
                'edition_edition_year' => 'edition_year',
                'edition_edition_nr' => 'edition_nr',
                'edition_edition_book_nr' => 'edition_book_nr',
                'edition_book_nr' => 'book_nr',
                'edition_chief_nr' => 'chief_nr',
                'edition_chief_nr' => 'chief_nr',
                'edition_chief_nr' => 'chief_nr',
                'main_editions' => 'main_editions',
                'main_editions_visible' => 'main_editions_visible',
	);
}

?>