<?php

namespace System\Log;

class LoggerAdapter {
	
	protected $_logger;
	
	public function __construct($logger) {
		$this->_logger = $logger;
	}
	
	protected function formatMessage($message,$method,$line) {
		return "M : $method L : ($line) MESS : $message";
	}
	
	public function EMERG($message,$method,$line) {
		return $this->_logger->EMERG($this->formatMEssage($message,$method,$line));
	}
	
	public function ALERT($message,$method,$line) {
		return $this->_logger->ALERT($this->formatMEssage($message,$method,$line));
	}
	
	public function CRIT($message,$method,$line) {
		return $this->_logger->CRIT($this->formatMEssage($message,$method,$line));
	}
	
	public function ERR($message,$method,$line) {
		return $this->_logger->ERR($this->formatMEssage($message,$method,$line));
	}
	
	public function WARN($message,$method,$line) {
		return $this->_logger->WARN($this->formatMEssage($message,$method,$line));
	}
	
	public function NOTICE($message,$method,$line) {
		return $this->_logger->NOTICE($this->formatMEssage($message,$method,$line));
	}
	
	public function INFO($message,$method,$line) {
		return $this->_logger->INFO($this->formatMEssage($message,$method,$line));
	}
	
	public function DEBUG($message,$method,$line) {
		return $this->_logger->DEBUG($this->formatMEssage($message,$method,$line));
	}
}

?>