<?php

namespace System\Misc\FilterConstraint;

abstract class AbstractFilterConstraint {

    protected $field = null;
    protected $constraint = null;

    public function __construct($field, $constraint) {
        $this->field = $field;
        $this->constraint = $constraint;
    }

    public function getField() {
        return $this->field;
    }

    public function getConstraint() {
        return $this->constraint;
    }

    abstract public function getQuery();
}

?>