<?

namespace System\Misc\FilterType;

abstract class AbstractFilterType {

    protected $field = null;
    protected $constraint = null;
    protected $table = null;
    protected $sc = null;
    protected $parent = null;
    protected $additionalJoin = null;

    abstract public function getQuery();

    public function __construct($constraint = null) {
        if ($constraint !== null) {
            $this->constraint = $constraint;
        }
    }

    public function getAdditionalJoin() {
        return $this->additionalJoin;
    }

    public function getTable() {
        return $this->table;
    }

    public function getField() {
        return $this->field;
    }

    public function getConstraint() {
        return $this->constraint;
    }

    public function setConstraint($constraint) {
        $this->constraint = $constraint;
        return $this;
    }

    public function getShortcut() {
        return $this->sc;
    }

}

?>