<?php

namespace System\User\FilterType;

class WorkCountry extends AbstractFilterType {

	
	protected $table = 'main_users';
	protected $field = 'work_country';
	
	// protezaaaaa
	public $oryginalConstraint;
	
	
	public function __construct( $constraint ) {
		$this->oryginalConstraint = $constraint;
		
		$this->additionalJoin = new ExtCountry( $constraint );
		
		if(!is_array( $constraint )) {
			
			$constraint = array( $constraint );
		}
		
		$constraint = implode(',',$constraint);
			
		$constraint = preg_replace( '/([a-zA-Z]+)/', "'$1'", $constraint );
		
		parent::__construct( $constraint);
	}
	
	
	public function getQuery() {
		
		return "{$this->table}.{$this->field} in ({$this->constraint})";
	}
}

?>