<?php

namespace System\Validator;

use Zend\Validator\AbstractValidator,
	Model\DictBcElementTargetType;

class BcElementTarget extends AbstractValidator {
	
	const INVALID_TYPE = 'InvalidType';
	
	protected $messageTemplates = array(
		self::INVALID_TYPE => 'Selected type is unavailable'
	);
	
	public function isValid( $data ) {
		
		$BcElementTargetType = new DictBcElementTargetType;
		$all = $BcElementTargetType->getAll();
		
		foreach( $all as $k => $v ) {
			
			$all[ $k ] = $v[ 'id' ];
		}
		
		if( !is_array( $data ) ) {
			$data = array( $data );
		}
		
		foreach( $data as $valToCheck ) {
			
			if( !in_array( $valToCheck , $all ) ) {
				
				$this->error( self::INVALID_TYPE );
				return false;
			}
		}
		
		return true;
	}
	
	
}

?>