<?php

namespace System\Validator;

use Zend\Validator\AbstractValidator,
    Model\MainDimages;

class Dimage extends AbstractValidator {
	
	const INVALID_DIMAGE = 'DimageIdInvalid';

	protected $messageTemplates = array(
		self::INVALID_DIMAGE => 'Dimage id is invalid'
	);	
	
	public function isValid( $value ) {
		$error = false;
		
		try {
			
			$MainDimages = new MainDimages;
			if( !$MainDimages->getFile( $value ) ) {
				$error = true;
			}
			
		} catch( \Exception $e ) {
			
			$error = true;
		}
		
		if( $error ) {
			
			$this->error( self::INVALID_DIMAGE );
			return false;
		}
			
		return true;
	}
}


?>