<?php

namespace System\Validator;
use \Zend\Validator\AbstractValidator,
	\Model\DictSpec;

class NewsType extends AbstractValidator{
	
	const TYPE_INCORRECT = 'incorrect';
	
	protected $messageTemplates = array(
        self::TYPE_INCORRECT        => "The value is not correct"
    );
	
	public function isValid( $value ) {
		$DictSpec = new DictSpec;
		
		$all = $DictSpec->getAll();
		
		if( is_array( $value ) ) {
			
			foreach( $value as $valToCheck ) {
				$valToCheck = (int)$valToCheck;
				
				if( !array_key_exists( $value , $all ) ) {
					
					$this->error( self::TYPE_INCORRECT );
					return false;
				}
			}
			
			return true;
			
		} elseif( is_int( $value ) || is_string( $value ) ) {
			
			if( array_keY_exists( $value , $all ) ) {
				
				return true;
			}
			
			$this->error( self::TYPE_INCORRECT );
			return false;
		}
	}
}


?>