<?php

namespace System\View\Helper\BannerElement;

use System\BannerCampaign\Element\Banner,
	Model\MainDimages;

class BannerAlergiaBanner extends ElementAbstract {
	
	public function __construct( Banner $element ) {
		
		$this->element = $element;
	}
	
	public function display() {
		
		$result = "<aside class=\"bnr01\">";
		
		
		$target = $this->element->isFake() ? $this->element->getUrl() : $this->view->url( 'bc_element_hit' , array( 'bcElementId' => $this->element->getElementId() ) );
		
		
		if( preg_match( '/flash$/' , $this->element->getBannerMime() ) ) {
				
			/*$result .= '
				<!-- przekierowanie -->
				<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000"
				codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,0,0"
				width="310" height="97" id="test" align="middle">
				<param name="allowScriptAccess" value="sameDomain" />
				<param name="movie" value="/image/' . $this->element->getBanner() . '" />
				<param name="menu" value="false" />
				<param name="quality" value="high" />
				<param name="bgcolor" value="#ffffff" />
				<embed src="/image/' . $this->element->getBanner() . '" menu="false" quality="high"
				bgcolor="#ffffff" width="310" height="97" name="test" align="middle"
				allowScriptAccess="sameDomain" type="application/x-shockwave-flash"
				pluginspage="http://www.macromedia.com/go/getflashplayer" />
				</object>
			';*/
			
			$MainDimages = new MainDimages;
			if( false !== ( $imageInfo = $MainDimages->getFile( $this->element->getBanner() ) ) ) {
				
				$width = 297;
				
				if( 310 == $imageInfo[ 'height' ] ) {
					
					$height = $imageInfo[ 'height' ];
					
				} else {
				
					$height = $width * $imageInfo[ 'height' ] / $imageInfo[ 'width' ]; 
				}
				
			} else {
				
				$width = 297;
				$height = 97;
			}
			
			$result .= '<object type="application/x-shockwave-flash"
							  data="/image/' . $this->element->getBanner() . '" width="' . $width . '" height="' . $height . '">
							<!-- <![endif]-->
							<!--[if IE]>
							<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"
							  codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0"
							  width="' . $width . '" height="' . $height . '">
							  <param name="movie" value="/image/' . $this->element->getBanner() . '" />
							<!--><!--dgx-->
							  <param name="flashVars" value="url=' . $target . $this->getVcode() . '" />
							  <param name="wmode" value="transparent">
							  <param name="loop" value="true" />
							  <param name="menu" value="false" />
							  <param name="allowFullScreen" value="false" />
							  <param name="allowScriptAccess" value="always" />
							  <param name="quality" value="high" />
							</object>
					';
			
			
			
			
			
			
			
			
			
		} elseif( preg_match( '/^image/' , $this->element->getBannerMime() ) ) {
			
			$MainDimages = new MainDimages;
			if( false !== ( $imageInfo = $MainDimages->getFile( $this->element->getBanner() ) ) ) {
				
				$width = 297;
				
				if( 297 == $imageInfo[ 'height' ] ) {
					
					$height = $imageInfo[ 'height' ];
					
				} else {
				
					$height = $width * $imageInfo[ 'height' ] / $imageInfo[ 'width' ]; 
				}
				
			} else {
				
				$width = 297;
				$height = 110;
			}
			
			$result .= "<a href='{$target}'><img width=\"{$width}\" height=\"{$height}\" src=\"/image/{$this->element->getBanner()}\"/></a>";
		}
		
		
		
		
		$result .= "</aside>";
			
		return $result;
	}
}

?>