<?php

namespace System\View\Helper\BannerElement;

use System\BannerCampaign\Element\Billboard;

class BillboardDefaultEduBillboard extends ElementAbstract {
	
	public function __construct( Billboard $element ) { 
		
		$this->element = $element;
	}
	
	
	public function display() {
	
		$result = "<aside class=\"bnr03\" id=\"bilboard\" style = \"margin-top: 0px;\"><div class=\"bnr03-img img\">";
		
		$target = $this->element->isFake() ? $this->element->getUrl() : $this->view->url( 'bc_element_hit' , array( 'bcElementId' => $this->element->getElementId() ) );
		
		if( strlen( $this->element->getBillboard() ) ) {
			
			$result .= "<style> .bnr03-undr {background:#fff url(\"/image/{$this->element->getBillboard()}\") no-repeat 50% 0;}; </style><div class=\"bnr03-undr\"></div>";
			
		} if( strlen( $this->element->getBanner() ) ) {
			
			if( preg_match( '/flash$/' , $this->element->getBannerMime() ) ) {
				
				/*$result .= '
					<a>
						<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000"
						codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,0,0"
						width="750" height="56" id="test" align="middle">
						<param name="allowScriptAccess" value="sameDomain" />
						<param name="movie" value="/image/' . $this->element->getBanner() . '" />
						<param name="menu" value="false" />
						<param name="flashVars" value="url=' . $target . '" />
						<param name="quality" value="high" />
						<param name="bgcolor" value="#ffffff" />
						<embed src="/image/' . $this->element->getBanner() . '" menu="false" quality="high"
						bgcolor="#ffffff" width="750" height="200" name="test" align="middle"
						allowScriptAccess="sameDomain" type="application/x-shockwave-flash"
						pluginspage="http://www.macromedia.com/go/getflashplayer" />
						</object>
					</a>
				';*/
				
				
				$result .= '<object type="application/x-shockwave-flash"
							  data="/image/' . $this->element->getBanner() . '" width="750" height="200">
							<!-- <![endif]-->
							<!--[if IE]>
							<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"
							  codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0"
							  width="750" height="200">
							  <param name="movie" value="/image/' . $this->element->getBanner() . '" />
							<!--><!--dgx-->
							  <param name="flashVars" value="url=' . $target . $this->getVcode() . '" />
							  <param name="wmode" value="transparent">
							  <param name="loop" value="true" />
							  <param name="menu" value="false" />
							  <param name="allowFullScreen" value="false" />
							  <param name="allowScriptAccess" value="always" />
							  <param name="quality" value="high" />
							</object>
					';
				
			} elseif( preg_match( '/^image/' , $this->element->getBannerMime() ) ) {
				
				$result .= "<a href=\"{$target}\"><img src=\"/image/{$this->element->getBanner()}\"/></a>";
			}
			
			//$result .= '<button class="bilboard_close">x</button>';
		}
		
		$result .= '</div></aside>';
		
		return $result;
	}
}

?>