<?php

namespace System\View\Helper\BannerElement;

use System\BannerCampaign\Element\Content,
	System\View\Helper\Truncat;

class SpecialForYouContent extends ElementAbstract {
	
	protected $content;
	
	public function __construct( Content $content ) {
		
		$this->content = $content;
	}
	
	public function display() {
		
		$target = $this->content->isFake() ? $this->content->getUrl() : $this->view->url( 'bc_element_hit' , array( 'bcElementId' => $this->content->getElementId() ) );
		
		
		$result = "
			<p class=\"mod10-txt text\"><a href=\"{$target}\">" . Truncat::truncat( strip_tags( $this->content->getTitle() ) ,200,true,'...') . "</a></p>
		";
		
		return $result;
	}
}


?>


