<?php

namespace System\View\Helper\BannerElement;

use System\BannerCampaign\Element\ContentData,
	System\View\Helper\Truncat;

class SpecialForYouContentData extends ElementAbstract {
	
	protected $content;
	
	public function __construct( ContentData $content ) {
		
		$this->content = $content;
	}
	
	public function display() {
	
		$target = $this->content->isFake() ? $this->content->getUrl() : $this->view->url( 'bc_element_hit' , array( 'bcElementId' => $this->content->getElementId() ) );
		
	
		$result = "
			
			<p class=\"mod10-txt text\"><a href=\"{$target}\">" . Truncat::truncat( strip_tags( $this->content->getTitle() , "<br>,<b>,<u>,<i>,<sup>,<subb>,<u>,<i>,<sup>,<sub>" ) ,200,true,'...') . "</a></p>
			
		";
		//<p class=\"mod10-txt text\"><a href=\"{$target}\">{$this->content->getTitle()}</a></p>
		
		return $result;
	}
}


?>