<?php

namespace System\View\Helper\BannerElement;

use System\BannerCampaign\Element\Content,
	System\View\Helper\Truncat;

class SponsoredContent extends ElementAbstract {
	
	protected $content;
	
	public function __construct( Content $content ) {
		
		$this->content = $content;
	}
	
	public function display() {
		
		
		$target = $this->content->isFake() ? $this->content->getUrl() : $this->view->url( 'bc_element_hit' , array( 'bcElementId' => $this->content->getElementId() ) );
		
		
		$result = "
			<article class=\"mod3 clearfix\"><!-- tt1 -->
				<div class=\"grid_6 alpha mod3-img\">
					<img width=\"230\" height=\"194\" src=\"/image/{$this->content->getImage()},230,194\" alt=\"\" >
				</div>
				<div class=\"grid_10 omega\">
					<hgroup>
						<!--<h2 class=\"hdr10V mod3-cat\">Temat tygodnia</h2>-->
						<h1 class=\"hdr16L mod3-hdr\"><a class=\"banner_click_register\" id=\"{$this->content->getElementId()}\" href=\"{$target}\">{$this->content->getTitle()}</a></h1>
					</hgroup>
					
					<div itemprop=\"articleBody\" class=\"mod3-txt text\">
						<p>" . Truncat::truncat( $this->content->getDescription() , 250 , true , '...' , 'sneakPeak' ) . "</p>
					</div>
				</div>
			</article>
		";
		
		return $result;
	}

}

?>