<?php

namespace System\View\Helper;
use Zend\View\Helper\AbstractHelper;
use System\Form\Element\Select as SystemSelect;


class FormSystemSelect extends AbstractHelper {

	public function __invoke(SystemSelect $selectObject,$label,$errors = '') {
		// pobieram listę 
		$values = $selectObject->getValueOptions();
		
		$result = "
		<fieldset class=\"form4-opt dnd\">
			<legend><span>{$label}</span></legend>
			
			".(strlen($errors) ? "<font style=\"color:red\">$errors</font>" : '')."
			
			<div class=\"dnd-container ".(strlen($errors) ? 'error' : '')."\">
				<ul class=\"dnd-items\">";
					
					foreach($values as $k => $value) {
					
						if(!isset($value['selected'])) {
							
							$result .= "<li data=\"{$value['value']}\">{$value['label']}</li>";
							
							unset($values[$k]);
						}
					}
		$result .= "</ul>
			</div>

			<ul class=\"dnd-btns\">
				<li><button type=\"button\" class=\"btn1 small move-right\"><img width=\"5\" height=\"7\" alt=\"przenieś w prawo\" title=\"przenieś w prawo\" src=\"gfx/arrRightGrey2.png\"/></button></li>
				<li><button type=\"button\" class=\"btn1 small move-left\"><img width=\"5\" height=\"7\" alt=\"Przenieś w lewo\" title=\"Przenieś w lewo\" src=\"gfx/arrLeftGrey2.png\"/></button></li>
			</ul>
			<div class=\"dnd-container ".(strlen($errors) ? 'error' : '')."\">
				<ul class=\"dnd-items selected_list_item\" name=\"{$selectObject->getName()}\">";
					
					foreach($values as $k => $value) {
						
						$result .= "<li data=\"{$value['value']}\">{$value['label']}</li>";
					}
					
		$result .= "</ul>
			</div>
		</fieldset>
		";
		
		return $result;
	}
}

?>