<?php

namespace System\View\Helper;
use Zend\View\Helper\AbstractHelper;

class FormatUrl extends AbstractHelper{
	
	protected static $_instance;
	
	public function __invoke($data, $mainSite = false) {
		
		$from = array(
			'/ /','/%/','/\?/','/\"/'
		);
		
		$to = array(
			'_','','',''
		);
                
                $url = preg_replace($from,$to,$data);

                if ($mainSite && strlen($mainSite) > 0) {
                    $url = $mainSite . ltrim($url, '/');
                }

        $session = new \Zend\Session\Container('bcvcode');
        if ($session->bcvcode) {
            if (strpos($url, '?') !== false) {
                return $url . '&' . $session->urlGet . '=' . $session->bcvcode;
            } else {
                return $url . '?' . $session->urlGet . '=' . $session->bcvcode;
            }
        }

		return $url;
	}
	
	public static function format($data, $mainSite = false) {
		if(null == self::$_instance) {
			self::$_instance = new FormatUrl;
		}
		
		return self::$_instance->__invoke($data, $mainSite);
	}
}

?>