<?php

namespace System\View\Helper\Formatted;

use System\Content\Element\Movie;
use System\View\Helper\FormatUrl;
use System\Translator\TranslatorEx;
use System\View\Helper\Formatted\WrappableInterface;

class MovieSmallList extends AbstractFormattedElement implements WrappableInterface{
	protected $_eventObject;	
	protected $_translator;
	
	public function __construct( Movie $eventObject) {
		$this->_translator = TranslatorEx::get();
		$this->_eventObject = $eventObject;
	}
	
	public function __toString() {
		$result = "
			<article class=\"content_movie_small_list_aricle\">
				<div class=\"content_movie_small_list\">
					<img alt=\"\" src=\"/image/PCETRY61TOSG,203,115\"/>
					
					<div class=\"title\">
						Komórki macierzyste - nadzieja współczesnej 
					</div>
				</div>
			</article>
		";

		return $result;
	}
}

?>