<?php
namespace System\View\Helper;

use Zend\View\Helper\AbstractHelper;

class ReferrerLink extends AbstractHelper {

    protected $view;
    protected $referrerUrl;

    const cmsBaseUrl = 'cms.test.esculap.com/cms_v3/';
    const cmsTestBaseUrl = 'cms.esculap.com/cms_v3/';

    public function __invoke($defaultUrl) {
        $this->view = $this->getView();

        $this->referrerUrl = $_SERVER['HTTP_REFERER'];
        $this->referrerUrl = str_replace(array('http://www.', 'https://www.', 'https://', 'https://'), '', $this->referrerUrl);

        if (substr($this->referrerUrl, 0, 28) == self::cmsBaseUrl || substr($this->referrerUrl, 0, 23) == self::cmsTestBaseUrl) {
            $this->referrerUrl = $_SERVER['HTTP_REFERER'];
        } else {
            $this->referrerUrl = $defaultUrl;
        }

        return $this->referrerUrl;
    }

}
