<?php

namespace System\View\Helper\ScriptHelper;

class Javascript extends ScriptAbstract {
	
	protected $src;
	protected $content;
	
	
	public function __construct( $src = null , $content = null ) {
		
		$this->src = $src;
		$this->setContent( $content );
	}
	
	public function setContent( $data ) {
		
		if( is_string( $data ) ) {
			
			$this->content = $data;
		}
	}
	
	public function getEntity() {
		
		return "<script " . ( null == $this->src ? '' : "src=\"{$this->src}\"") . " type=\"text/javascript\">{$this->content}</script>";
	}
}

?>