<?php
// constants.inc.php
//
// wszystkie stale tekstowe wrazliwe na kodowanie, wykorzystywane w modulach PHPowych
// automatyczna konwersja na aktualna strone kodowa
// *** plik jest zakodowany w ISO-8859-2 ***
//
// by Cegedim Group Poland Sp. z o.o. (mz) VI.2008
// ostatnia aktualizacja 15.10.2008 by mz


//$output_charset = "ISO-8859-2";
$output_charset = "UTF-8";

$constants = array(
    'charset'                           => "charset=iso-8859-2",
    
    //authorize.inc.php
    'redirect_failed'                   => "Nieudane przekierowanie: ",
    'click2redirect'                    => "Kliknij aby przej do adresu ",  
    'access_denied'                     => "Nie masz praw dostpu do tej strony.",
    'click2return'                      => "Kliknij</a> aby wrci do serwisu.",
    
    'before_login'                      => "przed zalogowaniem",
    'after_login'                       => "po zalogowaniu",
    'all_subpages'                      => "wszystkie podstrony",
    
    // content.inc.php
    'no_publications'                   => "Brak publikacji w tej kategorii.",
    'incorrect_nick'                    => "Nieprawidowy nick.",
    'comment_empty'                     => "Nie wpisano treci komentarza.",
    'comment_already_sent'              => "Ju wysano komentarz tej treci.",
    'comment_failed'                    => "Dodanie komentarza zakoczone niepowodzeniem.",
    'termin'                            => "Termin",
    'address'                           => "Adres",
    'organizator_address'               => "Kontakt z organizatorem",
    'additional_info'                   => "Informacje dodatkowe",
    'webpage'                           => "Strona internetowa",
    'more'                              => "wicej",
    'goto_org_www'                      => "przejd do strony organizatora",
    'goto_org_email'                    => "napisz do organizatora",
    
    'editing_HTML'                      => "edycja HTML/CSS",
    'state'                             => "stan:",
    'save_changes'                      => "zapisz zmiany",
    
    'textarea_text_too_long'            => "Prosimy skrci wpisywany tekst.",
    
    // library.inc.php
    'connection_failure'                => "bd poczenia",
    'sunday'                            => "niedziela",
    'monday'                            => "poniedziaek",
    'tuesday'                           => "wtorek",
    'wendsday'                          => "roda",
    'thursday'                          => "czwartek",
    'friday'                            => "pitek",
    'saturday'                          => "sobota",
    'january'                           => "stycznia",
    'february'                          => "lutego",
    'march'                             => "marca",
    'april'                             => "kwietnia",
    'may'                               => "maja",
    'june'                              => "czerwca",
    'july'                              => "lipca",
    'august'                            => "sierpnia",
    'september'                         => "wrzenia",
    'october'                           => "padziernika",
    'november'                          => "listopada",
    'december'                          => "grudnia",
    'science_world'                     => "Ze wiata nauki",
    'local_news'                        => "Z kraju",
    'global_news'                       => "Z zagranicy",
    'dictionary'                        => "Sownik",
    'dictionary_languages'              => "angielsko-polski i polsko-angielski",
    'both_sides'                        => "w obie strony",
    'pol2eng'                           => "z polskiego na angielski",
    'eng2pol'                           => "z angielskiego na polski",
    'translate'                         => "Tumacz",
    'nothing_found'                     => "Nie znaleziono adnych odpowiadajcych terminw.",
    'found'                             => "Znaleziono ",
    'terms'                             => " terminw:",
    'show_all'                          => "poka wszystkie &raquo;",
    'first_page'                        => "pierwsza strona",
    'next_page'                         => "nastpna strona",
    'prev_page'                         => "poprzednia strona",
    'last_page'                         => "ostatnia strona",
    'go_to_page'                        => "przejd do strony nr ",
    'word(s)'                           => "Sowo(a)",
    'server_unavailable'                => "Przepraszamy, serwer chwilowo niedostpny.",
    
);

// przekodowanie na docelowy charset
if ($output_charset != "ISO-8859-2")
    foreach($constants as $key => $constant)
        $constants[$key] = iconv("ISO-8859-2", $output_charset, $constant);

?>
