<?php

class goniec_nowy
{
    /** Uchwyt do bazy danych **/
    private $db;
    
    /**
     *
     **/
    public function __construct()
    {
        global $db;
        $this->db = $db;
    }
    
    public function pobierzWydaniaDlaRocznika($rocznik)
    {
	$data = $data2 = array();
	if($rocznik<=2010){
	    $sql = "select 'o' || id_goniec AS id, title  FROM main_goniec  WHERE status='SENT' AND arch=TRUE AND title LIKE 'nr%' 
	    AND  date_part('year', date_of_send)='$rocznik' order by id";
	    $data = $this->db->getAll($sql);
	}
	if($rocznik>=2010){
	    $sql = "SELECT 'n' || project_id AS id, REPLACE(title, 'Goniec Medyczny ', '') AS title FROM emailing.goniec_project WHERE date_part('year', goniec_date)='{$rocznik}' AND number>=708 AND status='DONE' ORDER BY id";
	    $data2 = $this->db->getAll($sql);
	}
	$data = array_merge($data, $data2);
        return $data;
    }
    
    public function pobierzRoczniki()
    {
        $sql = "select date_part('year', date_of_send) as value from main_goniec where status='SENT' AND arch=TRUE AND title LIKE 'nr%' AND date_of_send IS NOT NULL group by value order by value";
        $data = $this->db->getCol($sql);
	$sql = "SELECT DISTINCT date_part('year', goniec_date) as value FROM emailing.goniec_project WHERE number>=708 AND status='DONE' ORDER BY value";
	$data2 = $this->db->getCol($sql);
	$data = array_unique(array_merge($data, $data2));
        return $data;    
    }
    
    public function pobierzWydanie($wydanie)
    {
	$id = str_replace(array('o', 'n'), '', $wydanie);
	if($wydanie{0}=='o'){
	    $tresc=file_get_contents( '/data/web/goniec.esculap.pl/'.$id.'.html' ); 	
	    $tresc=iconv("ISO-8859-2","UTF-8", $tresc);
	    $tresc=preg_replace( '|<head>.*</head>|is' , '', $tresc );
	    $tresc=preg_replace( '|(<img[^>]*src=")|is','\1http://www.esculap.pl/images/goniec_medyczny/', $tresc );
	    $tresc=preg_replace( '|(background=")|is','\1http://www.esculap.pl/images/goniec_medyczny/', $tresc );
	    $tresc=preg_replace( '|(<a href=")[^"]*"|is','\1/goniec_medyczny/archiwum#wiesz"', $tresc );
	    $tresc=preg_replace( '|<input.*?Zamknij.*?>|uis','', $tresc );
	    $tresc=str_replace( 'bgcolor="navy"','class="navyBg"', $tresc );	
	    $tresc=str_replace( 'bgcolor="olive"','class="oliveBg"', $tresc );	
	    $tresc=str_replace( 'valign="top"','class="valignTop"', $tresc );	
	    $tresc=str_replace( 'Imię Nazwisko', '' ,$tresc);
	    $co=array('<title>', '</title>', '<html>', '</html>','target="goniec_arch"', ); 
	    //$naco=array_fill( 0,  count($co),'' );
	    $tresc='<div id="old_content">'.str_replace( $co,'',$tresc ).'</div>';
	}else{
	    $sql = "SELECT html FROM emailing.goniec_project WHERE project_id='$id'";
	    $tresc = stripslashes($this->db->getOne($sql));
	    $tresc = str_replace('images/goniec_template/t1/', 'http://www.esculap.pl/images/goniec_medyczny/t1/', $tresc);
	    $tresc = str_replace('[FULL_NAME]', '', $tresc);
	    //$tresc = str_replace('valign="top"', 'style="vertical-align:top;"', $tresc);
	    $tresc = preg_replace( '|(<a href=")[^"]*"|is','\1/goniec_medyczny/archiwum#wiesz"', $tresc );
	    $tresc = '<div id="new_content">'.$tresc.'</div>';
	}
	return $tresc;
    }
    
    public function pobierzWydanieBiezace( )
    {
        //$sql = "select \"id_goniec\",\"status\", \"arch\", \"date_of_send\", \"title\"  FROM \"main_goniec\"  WHERE \"status\"='SENT' AND \"arch\"=TRUE  AND \"title\" LIKE 'nr%' 
        //order by \"id_goniec\" DESC LIMIT 1;";
        
        $sql = "SELECT MAX(project_id) FROM emailing.goniec_project WHERE number>=708 AND status='DONE'";
        
        $data = 'n'.$this->db->getOne($sql);                    
        return $data;    
    }
    
    
   
} 

?>
