<?php

require_once 'abstractTable.class.php';

/**
 * Logi z VIP'a @ esculap.tv
 * @author plawecki
 */

class tvviplog extends abstractTable{
    protected $table = 'esculap.tvviplog';
	
	public function getCount(){
		return PDOS::_()->getOne('SELECT count(*) FROM esculap.tvviplog');
	}

	public function getPresentationList(){
		$data = PDOS::_()->getAll('SELECT presentation, count(*) FROM esculap.tvviplog GROUP BY presentation ORDER BY count(*) DESC');
		
		foreach($data as $key => $value){
			$value['ratio'] = round(($value['count'] / $this->getCount() * 100), 2)."%";
			$value['id'] = $key+1;
			$data[$key] = $value;
		}

		return $data;
	}

	public function getPresentationDetails($presentation){
		$data = PDOS::_()->getAll('SELECT * FROM esculap.tvviplog WHERE presentation = {$presentation}');

		return $data;
	}
}
?>