<?php
    /**
    * o------------------------------------------------------------------------------o
    * | This package is licensed under the Phpguru license. A quick summary is       |
    * | that the code is free to use for non-commercial purposes. For commercial     |
    * | purposes of any kind there is a small license fee to pay. You can read more  |
    * | at:                                                                          |
    * |                  http://www.phpguru.org/static/license.html                  |
    * o------------------------------------------------------------------------------o
    *
    *  Copyright 2008 Richard Heyes
    */

    /**
    * This example shows you how to create an email with another email attached
    */

    require_once('htmlMimeMail5.php');
    
    /**
    * Create the attached email
    */
    $attachment = new htmlMimeMail5();
    $attachment->setFrom('Bob <bob@example.com>');
    $attachment->setText('This email is attached.');
    $attachment->setSubject('This email is attached.');
    $body = $attachment->getRFC822(array('bob@dole.com'));

    /**
    * Now create the email it will be attached to
    */
    $mail = new htmlMimeMail5();
    $mail->addAttachment(new StringAttachment($body, 'Attached message', 'message/rfc822', new SevenBitEncoding()));
    $mail->addAttachment(new FileAttachment('example.zip'));
    $mail->setFrom('Richard <richard@example.com>');
    $mail->setSubject('Test email');
    $mail->setText('Sample text');
    $result  = $mail->send(array('richard@foo.net'));
?>

Message has been sent