<?php

namespace Model;

use System\Database\AbstractTable;

class DictImageAvatarType extends AbstractTable
{
    protected $table = 'dict_image_avatar_type';

    public function getAll()
    {
        try {
            $res = $this->adapter->createStatement("SELECT * FROM {$this->table}")->execute();

            $result = array();
            foreach ($res as $row) {
                $result[$row['id']] = $row['name'];
            }

            return $result;
        } catch (\Exception $e) {
            throw new \Exception('Błąd przy odczycie typów avatarów. ' . $e->getMessage());
        }
    }

    public function getByID($ID)
    {
        $ID = (int)$ID;
        try {
            $res = $this->adapter->createStatement("SELECT * FROM {$this->table} WHERE id = {$ID}")->execute();

            return $res->current();
        } catch (\Exception $e) {
            throw new \Exception('Błąd przy odczycie typów avatarów. ' . $e->getMessage());
        }
    }

}
