<?php

namespace Model;
use System\Database\AbstractTable;

/**
 * Natazeie atrapa ale jest to jeden punkt dostpu dla wszystkich
 */
class DictNewsType extends AbstractTable {
	protected $table = 'dict_news_type';
	
	public function getAll() {
		
		return array(
			1 => 'scientific',
			2 => 'national',
			3 => 'foreign'
		);
	}
	
	public function getTypeName( $newsTypeId ) {
		return $this->getSpecName( $newsTypeId );
	}
	
	public function getSpecName( $newsTypeId ) {
	
		$types = array(
			1 => 'scientific',
			2 => 'national',
			3 => 'foreign'
		);
		
		if( array_key_exists( (int)$newsTypeId , $types ) ) {
			
			return $types[ (int)$newsTypeId ];
		}
		
		return null;
	}
}

?>