<?php

namespace Model;
use System\Database\AbstractTable;

class DictPublType extends AbstractTable {
	protected $table = 'dict_publ_type';
	
	public function getAll() {
		try {
			
			$res = $this->adapter->createStatement("
				SELECT * FROM {$this->table()}
			")->execute();
			
			$result = array();
			
			foreach( $res as $row ) {
				
				$result[] = array(
					'code' => $row[ 'publ_type_code' ],
					'name' => $row[ 'universal_name' ]
				);
			}
			
			return $result;
		
		} catch( \Exception $e ) {
			
			throw new \Exception( __NAMESPACE__ . ". Nieudane pobranie typów publikacji. " . $e->getMessage() );
		}
	}
	

	public function isExists( $publType ) {
	
		try {
			
			$res = $this->adapter->createStatement("
				SELECT * FROM {$this->table()} WHERE publ_type_code = '{$publCode}'
			")->execute();
			
			return (bool)$res->count();
			
		} catch( \Exception $e ) {
			
			throw new \Exception( __METHOD__ . ". Nieudana próba sprawdzenia ctyp publikacji istnieje dla kodu=\"{$publCode}\"");
		}
	}	
}

?>