<?php

namespace Model;
use System\Database\AbstractTable;

class DictPublType2 extends AbstractTable {
	protected $table = 'dict_publ_type2';
	
	public function getAll() {
		
		try {
			
			$res = $this->adapter->createStatement("
				SELECT * FROM {$this->table}
			")->execute();
			
			$result = array();
			foreach( $res as $row ) {
				
				$result[ $row[ 'publ_type_code' ] ] = $row[ 'universal_name' ];
			}
			
			return $result;
		
		} catch( \Exception $e ) {
			
			throw new \Exception( __NAMESPACE__ . ". Nieudane pobranie typów publikacji. " . $e->getMessage() );
		}
	}	
	
	
	public function isExists( $publCode ) {
		try {
			
			$res = $this->adapter->createStatement("
				SELECT * FROM {$this->table} WHERE publ_type_code = '{$publCode}'
			")->execute();
			
			return (bool)$res->count();
			
		} catch( \Exception $e ) {
			
			throw new \Exception( __METHOD__ . ". Nieudana próba sprawdzenia ctyp publikacji istnieje dla kodu=\"{$publCode}\"");
		}
	}
}

?>