<?php

namespace Model;
use System\Database\AbstractTable;

class DictSpec extends AbstractTable {
	protected $table = 'dict_spec';
	
	public function getAll() {
		
		return $this->getAllEx();
		
		try {
			
			$res = $this->adapter->createStatement("SELECT * FROM {$this->table}")->execute();
			
			$result = array();
			foreach($res as $row) {
				
				$result[] = $row;	
			}
			
			return $result;
		
		} catch(\Exception $e) {
			
			throw new \Exception(__NAMESPACE__ . '. '.pg_last_error().'. '.$e->getMessage());
		}
	}

    /**
     * @throws \Exception
     * @return array
     */
	public function getAllEx() {
		
		try {
			
			$res = $this->adapter->createStatement("SELECT * FROM {$this->table()} ORDER BY mdm_name ASC")->execute();
			
			$result = array();
			foreach($res as $row) {
				
				$result[] = $row;	
			}
			
			return $result;
		
		} catch(\Exception $e) {
			throw new \Exception( __NAMESPACE__ . '. '.pg_last_error().'. '.$e->getMessage());
		}
	}
	
	public function getNamesForSpecs( $specCodes ) {
		
		try { 
			
			$specCodes = "'" . implode( "','" , (array)$specCodes ) . "'";
			
			$res = $this->get("
				SELECT * FROM {$this->table()} WHERE spec_code in ( {$specCodes} )
			");
			
			$result = array();
			
			foreach( $res as $row ) {
				$result[ $row[ 'spec_code' ] ] = $row[ 'mdm_name' ];
			}
			
			return $result;
		
		} catch( \Exception $e ) {
			throw new \Exception( __METHOD__ . "Nieudane pobranie danych dla specCodes=\"" . implode( (array)$specCodes) . "\". " . $e->getMessage() );
		}
	}
	
	public function getNames() {
	
		$names = $this->getAllEx();
		$res = array();
		
		foreach( $names as $name ) {
			
			$res[ trim( $name[ 'spec_code' ] ) ] = $name[ 'mdm_name' ];
		}
		
		
		return $res;
	}
}

?>