<?php

namespace Model;

class DictUserType extends \System\Database\AbstractTable {

	protected $table = 'dict_user_type';
						
	public function getAll() {
		
		$suffix = $this->getContnetSchemaLangSc();
		if( strlen( $suffix ) ) {
			$suffix = '_' . $suffix;
		}
		
		$res = $this->adapter->createStatement("SELECT user_type_code , user_type_name{$suffix} as spec_name FROM {$this->table} WHERE user_type_name{$suffix} is not null ORDER BY sort_index ASC");
		$res = $res->execute();
		
		$result = array();
		foreach($res as $row) {
			$result[ $row['user_type_code'] ] = $row['spec_name'];
		}	
		
		return $result;
	}
}	


?>