<?php
namespace Model\Entity;

use Model\Entity\DictMainSiteContentType as DictMainSiteContentTypeEntity;
use Model\TableGateway\DictMainSiteContentType as DictMainSiteContentTypeTableGateway;

class DictMainSiteContentTypeView {

    protected $id = null;
    protected $name = null;
    protected $dictMainSiteContentTypeId = null;
    protected $dictMainSiteContentType = null;

    public function setId($id) {
        if ($id == null) {
            $this->id = null;
        } else {
            $this->id = (int)$id;
        }
        return $this;
    }

    public function getId() {
        if ($this->id == null) {
            return null;
        } else {
            return (int)$this->id;
        }
    }

    public function setName($name) {
        if ($name == null) {
            $this->name = null;
        } else {
            $this->name = (string)$name;
        }
        return $this;
    }

    public function getName() {
        if ($this->name == null) {
            return null;
        } else {
            return (string)$this->name;
        }
    }

    public function setDictMainSiteContentTypeId($dictMainSiteContentTypeId) {
        if ($dictMainSiteContentTypeId == null) {
            $this->dictMainSiteContentTypeId = null;
        } else {
            $this->dictMainSiteContentTypeId = (string)$dictMainSiteContentTypeId;
        }
        return $this;
    }

    public function getDictMainSiteContentTypeId() {
        if ($this->dictMainSiteContentTypeId == null) {
            return null;
        } else {
            return (string)$this->dictMainSiteContentTypeId;
        }
    }

    public function setDictMainSiteContentType(DictMainSiteContentTypeEntity $dictMainSiteContentType) {
        $this->dictMainSiteContentType = $dictMainSiteContentType;
        return $this;
    }

    public function getDictMainSiteContentType() {
        if ($this->dictMainSiteContentType == null) {
            $DictMainSiteContentTypeTableGateway = new DictMainSiteContentTypeTableGateway();
            $DictMainSiteContentTypeEntity = $DictMainSiteContentTypeTableGateway->getByID($this->getDictMainSiteContentTypeId());
            $this->setDictMainSiteContentType($DictMainSiteContentTypeEntity);
            return $this->getDictMainSiteContentType();
        } else {
            return $this->dictMainSiteContentType;
        }
    }

}
