<?php

namespace Model;
use System\Database\AbstractTableContent;

class MainBannerTypeConfig extends AbstractTableContent{
	protected $table = 'main_banner_type_config';
	
	public function incrementViews($cfgList) {
		
		try {
			
			if(!is_array($cfgList)) {
				return false;
			} elseif(is_array($cfgList)) {
				
				$cfgList = implode(',',$cfgList);
			}
			
			$res = $this->adapter->createStatement("update {$this->table()} set views = (views + 1) where mbtc_id in({$cfgList})")->execute();
			
			return true;
			
		} catch(\Exception $e) {
			throw new \Exception(__METHOD__.'. ');
		}
	}
	
	public function incrementHits($cfgList) {
		
		try {
			
			if(!is_array($cfgList)) {
				return false;
			} elseif(is_array($cfgList)) {
				
				$cfgList = implode(',',$cfgList);
			}
			
			$res = $this->adapter->createStatement("update {$this->table()} set hits = (hits + 1) where mbtc_id in({$cfgList})")->execute();
			
			return true;
			
		} catch(\Exception $e) {
			throw new \Exception(__METHOD__.'. ');
		}
	}
}

?>