<?php

namespace Model;

use System\Database\AbstractTable;

class MainCollection extends AbstractTable {
	protected $table = 'main_collection';
	
	protected $rules = array(
		'main_content_id' => 'content_id',
		'main_collection_id' => 'collection_id',
		'lang_id' => 'lang'
	);
	
	public function getAll( $type = null ) {
		
		try {
			
			$res = $this->get("
				SELECT * FROM {$this->table()} " . ( null !== $type ? " WHERE type = '{$type}'" : '' ) . " ORDER BY name ASC
			");
			
			return $this->translate( $res );
			
		} catch( \Exception $e ) {
			
			throw new \Exception( __METHOD__ . '. ' . $e->getMessage() );
		}
	}
}

?>