<?php

namespace Model;
use System\Database\AbstractTableContent;

class MainContentComment extends AbstractTableContent {
	protected $table = 'main_content_comment';
	
	public function getComments($contentId) {

		if(is_array($contentId)) {
			$contentId = implode(',',$contentId);
		}
		
		$res = $this->adapter->createStatement("SELECT * FROM {$this->table()} WHERE content_id in({$contentId}) ORDER BY add_date DESC")->execute();
		
		return $this->fetchAll($res);
	}
	
	public function add($contentId,$langId,$content,$nick,$userLogin,$parent = null) {
		
		try {
			
			$res = $this->adapter->createStatement("
				INSERT INTO {$this->table()} 
				(content_id,lang_id,body,nick,user_login".(null !== $parent ? ",parent_comment_id" : '').") VALUES 
				($contentId,'$langId','$content','$nick','$userLogin'".(null !== $parent ? ",$parent" : '').")")->execute();
			
			return true;
			
		} catch(\Exception $e) {
			
			throw new \Exception($e->getMessage().'. pg_last_error:'.pg_last_error(),1);
		}
	}
	
	
	public function commentExists( $contentId , $commentId ) {
		
		try {
			
			$res = $this->adapter->createStatement("
				SELECT * FROM {$this->table()} WHERE content_id = {$contentId} AND comment_id = {$commentId}
			")->execute();
			
			return (bool)$res->count();
			
		} catch( \Exception $e ) {
			
			throw new \Exception( __METHOD__ . ". Nieudana próba sparawdzenia czy koemntarz istnieje. " . $e->getMessage() );
		}
	}
}

?>
