<?php
namespace Model;

use System\Database\AbstractTable;

class MainContentVideoStream extends AbstractTable {

    protected $table = 'main_content_video_stream';

    public function getStream($streamID) {
        try {
            $stream = $this->adapter->createStatement("
                SELECT * FROM {$this->table()} WHERE stream_id = {$streamID}
            ")->execute()->current();

            return $this->fetchAll($stream);
        } catch (\Exception $e) {
            throw new \Exception(__METHOD__ . 'Nie udało sie dodać stream\'u video. ' . $e->getMessage());
        }
    }
    
    public function addStream( $contentId, $langId, $protocol, $stream, $bitrate, $dimension) {
        try {
            if (!$bitrate) {
                $bitrate = 'null';
            }

            if (!$dimension) {
                $dimension = 'null';
            }

            $streamID = $this->adapter->createStatement("
                INSERT INTO {$this->table()} ( content_id, lang_id, protocol , stream , bitrate , dimension ) VALUES
                ( {$contentId}, '{$langId}', '{$protocol}' , '{$stream}' , {$bitrate} , '{$dimension}' )
                RETURNING stream_id
            ")->execute()->current()['stream_id'];

            return ($streamID > 0) ? $streamID : false;
        } catch (\Exception $e) {
            throw new \Exception(__METHOD__ . 'Nie udało sie dodać stream\'u video. ' . $e->getMessage());
        }
    }

    public function updateStream( $streamID, $protocol, $stream, $bitrate, $dimension) {
        try {
            if (!$bitrate) {
                $bitrate = 'null';
            }

            if (!$dimension) {
                $dimension = 'null';
            }

            $res = $this->adapter->createStatement("
                UPDATE {$this->table()} SET protocol = '{$protocol}' , stream = '{$stream}' , 
                bitrate = {$bitrate} , dimension = '{$dimension}' 
                WHERE stream_id = {$streamID}
            ")->execute();

            if ($res->getAffectedRows() == 1) return true;
            return false;
        } catch (\Exception $e) {

            throw new \Exception(__METHOD__ . 'Nie udało sie nadpisać stream\'u video. ' . $e->getMessage());
        }
    }

}

?>