<?php

namespace Model;
use System\Database\AbstractTable;


class MainDimagesTmp extends AbstractTable {
	protected $table = 'main_dimages_tmp';
	
		
	public function isUnique( $id , $imageName ) {
		
		try {
			
			$res = $this->adapter->createStatement("
				SELECT * FROM {$this->table()} WHERE image_name = '{$imageName}' AND id_tmp = '{$id}'
			")->execute();
			
			if( count( $res ) )
				return false;
			return true;
			
		} catch( \Exception $e ) {
		
			throw new \Exception( __NAMESPACE__ . ". Neiudana próba sprawdzenia unikalności obrazka id_tmp=\"{$id}\" , imageName=\"{$imageName}\"" . $e->getMessage() );
		}
	}


	public function addRelation( $id , $imageName , $timeout = 7200 ) {
		
		try {
			
			$timeout = (int)$timeout;
			if( $timeout < 1 ) {
				$timeout = 7200;
			}
			
			$res = $this->adapter->createStatement("
				INSERT INTO {$this->table()} ( image_name , id_tmp , expiration ) VALUES ( '{$imageName}' , '{$id}' , ( select now() + interval '{$timeout} second' ) )
			")->execute();
			
			
		} catch( \Exception $e ) {
		
			throw new \Exception( __NAMESPACE__ . "Nieudana próba dowiązania obrazka id_tmp=\"{$id}\" , imageName=\"{$imageName}\" , timeout=\"{$timeout}\"" . $e->getMessage() );
		}
	}
	
	
	public function cleanTmp( $id ) {
		
		try {
			
			$res = $this->adapter->createStatement("
				DELETE FROM {$this->table()} WHERE id_tmp = '{$id}'
			")->execute();
			
		} catch( \Exception $e ) {
			
			throw new \Exception( __NAMESPACE__ . "Nieudana próba usunięcia cache-a id_tmp=\"{$id}\"" . $e->getMessage() );
		}
	}
	
	
	public function gc() {
		
		try {
			
			$res = $this->adapter->createStatement("
				SELECT image_name from {$this->table()} WHERE expiration < now()
			")->execute();
			
			$result = array();
			foreach( $res as $row ) {
				
				$res = $this->adapter->createStatement("
					SELECT count(1) FROM rel_dimages WHERE image_name = '{$row[ 'image_name' ]}' LIMIT 1
				")->execute();
				
				if( count( $res) ) continue;
				
				$result[] = $row[ 'image_name' ];
			}
			
			$res = $this->adapter->createStatement("
				DELETE FROM {$this->table()} WHERE expiration < now()
			")->execute();
			
			return $result;
			
		} catch( \Exception $e ) {
			
			throw new \Exception( __NAMESPACE__ . "" . $e->getMessage() );
		}
	}
	
	
	public function getRelatedImages( $id ) {
		
		try {
			
			$res = $this->adapter->createStatement("
				SELECT main_dimages.* FROM {$this->table()} , main_dimages 
				WHERE {$this->table}.image_name = main_dimages.image_name AND id_tmp = '{$id}'
			")->execute();
			
			$result = array();
			foreach( $res as $row ) {
				
				$result[] = $row;
			}
				
			return $result;
				
		} catch( \Exception $e ) {
		
			throw new \Exception( __NAMESPACE__ . "" . $e->getMessage() );
		}
	}
}


?>