<?php

namespace Model;
use System\Database\AbstractTable;

class MainPhraseChange extends AbstractTable {
	protected $table = 'esculap_int.main_phrase_change';
	
	public function isChange($system,$lang) {
		
		try {
			
			if( is_array( $system ) ) {
				$system = implode( ',' , $system );
			}
			
			$system = preg_replace( '/([a-z])/' , '\'$1\'' , $system );
			$res = $this->adapter->createStatement("SELECT extract(epoch from date ) as timestamp FROM {$this->table} WHERE system in ({$system}) AND lang = '{$lang}'")->execute();
			
			$result = 0;
			
			foreach( $res as $row) {
				
				if( isset( $row['timestamp'] ) ) $result += $row[ 'timestamp' ];
			}
			
			return $result;
			
		} catch( \Exception $e) {
			throw new \Exception( __METHOD__ . '. ' . $e->getMEssage() );
		}
	}
	
	public function addChange($system,$lang) {
					
		try {
			
			$res = $this->adapter->createStatement("INSERT INTO {$this->table} (system,lang) VALUES ('{$system}','{$lang}')")->execute();
			
			return true;
			
		} catch(\Exception $e) {
			
			return false;
			
			throw new \Exception(__METHOD__);
		}
	}
	
	public function removeChange($system,$lang) {
		
		try {
				
			$res = $this->adapter->createStatement("DELETE FROM {$this->table} WHERE system = '{$system}' AND lang = '{$lang}'")->execute();
				
			return true;	
			
		} catch(\Exception $e) {
			throw new \Exception(__METHOD__);
		}
	}
}

?>