<?php

namespace Model;
use System\Database\AbstractTable;

class MainPhraseValue extends AbstractTable {
	protected $table = 'main_phrase_value';
	
	public function updateRow($phraseId,$lang,$value) {
		
		try {
			
			if(false === $this->isPhraseTranslateExists($phraseId,$lang,$value)) {
				
				return $this->insertRow($phraseId,$lang,$value);
			}
			
			
			$res = $this->adapter->createStatement("
				UPDATE {$this->table} SET
				value = '{$value}'
				WHERE phrase_id = {$phraseId} AND lang_id = '".strtoupper($lang)."'
			")->execute();
			
			return true;
			
		} catch(\Exception $e) {
			throw new \Exception(__METHOD__.'. Błąd przy updacie wartości frazy');
		}	
	}
	
	public function insertRow($phraseId,$lang,$value) {
		
		try {
			
			$res = $this->adapter->createStatement("
				INSERT INTO {$this->table} (phrase_id,lang_id,value) VALUES ('{$phraseId}',upper('{$lang}'),'{$value}')
			")->execute();
			
			
			return true;
			
		} catch(\Exception $e) {
			throw new \Exception();
		}
	}
	
	public function isPhraseTranslateExists($phraseId,$lang) {
		
		try {
			
			$lang = strtoupper($lang);
			
			$res = $this->adapter->createStatement("
				SELECT mp.phrase_id FROM {$this->table} mpv, main_phrase mp
				WHERE mp.phrase_id = mpv.phrase_id AND 
					  mp.phrase_id = {$phraseId} AND 
					  mpv.lang_id = '{$lang}'")->execute();
			
			$res = $res->current();
			
			
			if((int)$res['phrase_id'] > 0)
				return true;
			return false;
			
			
		} catch(\Exception $e) {
			throw new \Exception(__METHOD__.'. Błąd przy odczycie frazy');
		}
	}
}

?>