<?php

namespace Model;
use Zend\Db\Adapter\Exception\InvalidQueryException;

class MainUsersLogin extends \System\Database\AbstractTable {
	
	protected $table = 'main_users_login';
	
	public function logLogin( $id , $code , $us , $up , $ui ) {
		
		try { 
			
			$res = $this->insert(array(
				'user_id' => $id,
				'start_date' => ' NOW() ',
				'code' => $code,
				'user_system' => $us,
				'user_proxy' => $up,
				'user_ip' => $ui
			));		
			
			if($res > 0)
				return true;
			return false;
			
		} catch(InvalidQueryException $e) {
			return $e->getMEssage();
		}	
	}
		
	public function setEndDate( $authCode ) {
		
		
		try {
			
			$res = $this->adapter->createStatement("
				UPDATE {$this->table} SET stop_date = NOW() WHERE code = '{$authCode}' AND stop_date is NULL
			")->execute();
			
			
			//$this->update( array( 'stop_date' => 'NOW()' ) , array( 'code' => $authCode , 'stop_date' => null ) );
			
			return true;
		
		} catch(InvalidQueryException $e) {
			
			return false;
		}	
	}
}

?>