<?php

namespace Model;

use System\Database\AbstractTable,
	Zend\Db\Sql\Select,
	Zend\Db\Sql\Expression;

class MainUsersSession extends AbstractTable {
	protected $table = 'main_users_session';
	
	public function getTimeout( $userId ) {

		try {
			
			$select = new Select;
			
			$select->from( $this->table )
				   ->columns( array( 'timeout' ) )
				   ->where( array( 'main_users_user_id' => (int)$userId ) );
			
			$res = $this->selectWith( $select );
			if( 0 == $res->count() )
				return false;
			
			return $res->current()->timeout;
			
		} catch( \Exception $e ) {
			
			throw new \Exception( __METHOD__ . '. ' . $e->getMessage() );
		}
	}
	
}


?>