<?php

namespace Model;
use System\Database\AbstractTable;

class MainUsersTrustLevels extends AbstractTable {
	
	protected $table = 'main_users_trust_levels';
	
	public function getAll($toChange = true,$in = null, $notIn = null) {
		
		try {
			
			$res = $this->adapter->createStatement("SELECT * FROM {$this->table} WHERE ".
			(true === $toChange ? ' change_available = 1 ' : 'change_available in (0,1)').
			(is_array($notIn) ? ' AND trust_level not in('.(implode(',',$notIn)).')' : '')." ORDER BY trust_level ASC")->execute();
			
		} catch(\Exception $e) {
			throw new \Exception(__CLASS__.'. '.$e->getMessage());
		}
		
		$result = array();

		foreach($res as $row) {
			$result[$row['trust_level']] = $row;
		}

		return $result;
	}
	
	public function getTrustLevelData($trustLevel) {
		
		try {
		
			$res = $this->adapter->createStatement("SELECT * FROM {$this->table} WHERE trust_level = $trustLevel")->execute();
			
			$res = $res->current();
			$result = array();
			
			foreach($res as $key => $row) {
				$result[$key] = $row;
			}
			
			return $result;
		
		} catch(\Exception $e) {
			throw new Exception(__METHOD__.'. '.$e->getMessage());
		}
	}
}

?>