<?php

namespace Model;

use \Zend\Db\Adapter\Exception\InvalidQueryException;

class RelUsersServices extends \System\Database\AbstractTable {
	
	protected $table = 'rel_users_services';

	public function getUserServices($userLogin) {
		
		try {
			
			$res = $this->fetchAll(array('user_login' => $userLogin));
			
			if(!$res)return array();
			
			$result = array();
			foreach($res as $row) {
				$result[] = $row['service_code'];
			}
			
			return $result;
			
		} catch(InvalidQueryException $e) {
			return -1;
		}
	}
	
	
	
	public function getUserServicesEx( $userId ) {
		
		try {
			
			$res = $this->adapter->createStatement("
				
				SELECT * FROM {$this->table} WHERE user_id = {$userId}
				
			")->execute();
			
			if( !$res->count())
				return array();
			
			foreach($res as $row) {
				$result[] = $row['service_code'];
			}
			
			return $result;
			
		} catch(InvalidQueryException $e) {
			return -1;
		}
	}
}


?>