<?php

namespace Model;
use System\Database\AbstractTable;

class cmsMainOnekeyMapMailSent extends AbstractTable {
	protected $table = 'cms.main_onekey_map_mail_sent';
	
	public function getUserMessages( $idUser ) {
		
		try {
			
			$res = $this->adapter->createStatement("
				SELECT * , cmus.user_login as \"sender_login\"
				FROM {$this->table} momms, cms.dict_onekey_map_mail domm, esculap_int.main_users emu, cms.main_users cmus
				WHERE momms.recipitent = {$idUser} AND 
					  momms.mail_id = domm.domm_id AND
					  emu.id = momms.recipitent	AND
					  cmus.user_id = momms.sender
			")->execute();
			
			$result = array();
			
			foreach( $res as $row ) {
				
				$result[] = $row;
				
			}
			
			return $result;
			
		} catch( \Exception $e ) {
			
			throw new \Exception( __METHOD__ . '. Nie udało się pobrać rekordów dla urzytkownika id:"' . $idUser . '"');
		}
	}
	
	public function register( $sender , $recipitent , $messageId ) {
		
		try {
			
			$res = $this->adapter->createStatement("
				INSERT INTO {$this->table} ( sender , recipitent , mail_id ) VALUES ( {$sender} , {$recipitent} , {$messageId})
			")->execute();
			
			if( $res->getAffectedRows() == 1 )
				return true;
			return false;
			
		} catch( \Exception $e ) {
			
			throw new \Exception( __METHOD__ . '. Nie udało sie zarejestrować wiadmowmości. ' . $e->getMessage() );
		}
	}
}

?>