<?php
namespace System\Admin\Product;

use System\Admin\Product\AdminProductInterface;

class AdminActionProduct implements AdminProductInterface {

    protected $actionId;
    protected $system;
    protected $module;
    protected $controller;
    protected $action;
    protected $lastUpdate;
    protected $exists;
    protected $isNew;

    public function __construct(array $data = array()) {
        $this->setActionId($data['action_id']);
        $this->setSystem($data['system']);
        $this->setModule($data['module']);
        $this->setController($data['controller']);
        $this->setAction($data['action']);
        $this->setLastUpdate($data['last_update']);
        $this->setExists($data['exists']);
        $this->setIsNew($data['is_new']);
    }

    public function setActionId($actionId) {
        $this->actionId = (int)$actionId;
    }

    public function setSystem($system) {
        $this->system = (string)$system;
    }
    
    public function setModule($module) {
        $this->module = (string)$module;
    }

    public function setController($controller) {
        $this->controller = (string)$controller;
    }

    public function setAction($action) {
        $this->action = (string)$action;
    }

    public function setLastUpdate($lastUpdate) {
        $this->lastUpdate = (string)$lastUpdate;
    }

    public function setExists($exists) {
        $this->exists = (bool)$exists;
    }

    public function setIsNew($isNew) {
        $this->isNew = (bool)$isNew;
    }

    public function getActionId() {
        return (int)$this->actionId;
    }

    public function getSystem() {
        return (string)$this->system;
    }
    
    public function getModule() {
        return (string)$this->module;
    }

    public function getController() {
        return (string)$this->controller;
    }

    public function getAction() {
        return (string)$this->action;
    }

    public function getLastUpdate() {
        return (string)$this->lastUpdate;
    }

    public function getExists() {
        return (bool)$this->exists;
    }

    public function getIsNew() {
        return (bool)$this->isNew;
    }

}

?>
