<?php

namespace System\Content;
use System\Content\AbstractConfig;

class Config extends AbstractConfig {
	
	protected static $ignoreSpecs = false;
	
	public function __construct($options , $search = false ) {
		
		if( self::$ignoreSpecs && isset( $options[ 'SPEC_TYPES' ] ) ) {
			$options[ 'SPEC_TYPES' ] = array();
		}
                
                if (!isset($options['GET_MAIN_SITE'])) {
                    $options['GET_MAIN_SITE'] = true;
                }
		
		parent::__construct($options);

		//Magiczna optymalizacja
		unset($this->_options['ORDER_SPECS']);

		if( !$search && ( !isset($options['CONTENT_TYPE']) || !strlen($options['CONTENT_TYPE']) ) ) {
			throw new \Exception(__METHOD__.'. Klucz CONTENT_TYPE jest wymagany');
		}
		
		$this->_options['CONTENT_TYPE'] = $options['CONTENT_TYPE'];
		unset($options['CONTENT_TYPW']);
		
		if (isset($options['NEWS_TYPE'])) {
			$this->_options['NEWS_TYPE'] = (int)$options['NEWS_TYPE'];
			unset($options['NEWS_TYPE']);
		}
	}
	
	public static function ignoreSpecs( $newState ) {
		self::$ignoreSpecs = (bool)$newState;
	}
}

?>
