<?php

namespace System\Content\Element;
use System\Content\Element\AbstractContentElement;

class Event extends AbstractContentElement {
	
	protected $id;
	protected $langId;
	protected $title;
	protected $info;
	protected $link;
	protected $city;
	protected $zip;
	protected $address;
	protected $type;
	protected $tel;
	protected $fax;
	protected $email;
	protected $country;
	protected $start;
	protected $end;
	protected $orgName;
	protected $scored;
	protected $points;
	protected $paid;
	protected $fileUrl;
	protected $orgAddr;
	protected $price;
	protected $date;
	protected $math;
        protected $mainSiteId;
	
	protected $_needed = array(
		'content_id' => 'id',
		'lang_id' => 'langId',
		'title' => 'title',
		'info' => 'info',
		'link' => 'link',
		'city' => 'city',
		'zip' => 'zip',
		'address' => 'address',
		'event_type' => 'type',
		'tel' => 'tel',
		'fax' => 'fax',
		'email' => 'email',
		'country' => 'country',
		'date_start' => 'start',
		'date_end' => 'end',
		'org_name' => 'orgName',
		'org_addr' => 'orgAddr',
		'scored' => 'scored',
		'points' => 'points',
		'paid' => 'paid',
		'price' => 'price',
		'file_url' => 'fileUrl',
		'add_date' => 'date',
		'math' => 'math',
		'last_matched' => 'lastMatched',
		'match_level' => 'matchLevel',
                'main_site_id' => 'mainSiteId',
	);
	
	public function __construct($data) {
		$missingKeys = array();
		
		if(!$this->parseArray($data,$missingKeys)) {
                        // event checkboxy - trzeba poniższą linię odkomentować
			//throw new \Exception(__METHOD__.". Brak następujących kluczy w tablicy przekazanej do konstruktora. Brak kluczy o nazwach ".implode(',',$missingKeys));
		}
		
		$this->processInputData($data);
	}
}

?>