<?php

namespace System\Content\Element;
use System\Content\Element\AbstractContentElement ;

class News extends AbstractContentElement {
	
	protected $id;
	protected $langId;
	protected $newsType;
	protected $title;
	protected $keywords;
	protected $author;
	protected $head;
	protected $body;
	protected $date;
	protected $mod_date;
	protected $timeout;
	protected $copyrights;
	protected $avatar;
	protected $creator;
	protected $userDate;
	protected $active;
	protected $searchable;
	protected $collections;
        protected $mainSiteId;
	
	protected $_needed = array(
		'content_id' => 'id',
		'lang_id' => 'langId',
		'news_type' => 'newsType',
		'title' => 'title',
		'keywords' => 'keywords',
		'author' => 'author',
		'head' => 'head',
		'body' => 'body',
		'add_date' => 'date',
		'mod_date' => 'mod_date',
		'timeout' => 'timeout',
		'copyrights' => 'copyrights',
		'avatar_id' => 'avatar',
		'creator' => 'creator',
		'date' => 'userDate',
		'active' => 'active',
		'searchable' => 'searchable',
		'collections' => 'collections',
                'main_site_id' => 'mainSiteId',
	);
	
	public function __construct($data) {
		$missingKeys = array();
		
		if(!$this->parseArray($data,$missingKeys)) {
			//throw new \Exception(__METHOD__.". Brak nast�puj�cych kluczy w tablicy przekazanej do konstruktora. Brak kluczy o nazwach ".implode(',',$missingKeys));
		}
		
		$this->processInputData($data);
	}
}

?>