<?php
namespace System\Content\Element;

use System\Content\Element\AbstractContentElement;

class Video extends AbstractContentElement {

    protected $id;
    protected $langId;
    protected $title;
    protected $head;
    protected $date;
    protected $mod_date;
    protected $avatar;
    protected $creator;
    protected $active;
    protected $searchable;
    protected $collections;
    protected $mainSiteId;
    protected $mainStreamId;
    protected $thumbStreamId;
    protected $mainStream;
    protected $thumbStream;
    
    protected $_needed = array(
        'content_id' => 'id',
        'lang_id' => 'langId',
        'title' => 'title',
        'head' => 'head',
        'date' => 'date',
        'add_date' => 'add_date',
        'mod_date' => 'mod_date',
        'avatar_id' => 'avatar',
        'creator' => 'creator',
        'active' => 'active',
        'searchable' => 'searchable',
        'collections' => 'collections',
        'main_site_id' => 'mainSiteId',
        'main_stream_id' => 'mainStreamId',
        'thumb_stream_id' => 'thumbStreamId',
        'main_stream' => 'mainStream',
        'thumb_stream' => 'thumbStream',
    );

    public function __construct($data) {
        $missingKeys = array();

        if (!$this->parseArray($data, $missingKeys)) {
            //throw new \Exception(__METHOD__.". Brak następujących kluczy w tablicy przekazanej do konstruktora. Brak kluczy o nazwach ".implode(',',$missingKeys));
        }

        $this->processInputData($data);
    }

}

?>