<?php

namespace System\Content;

class QueryParser {
	
	/**
	 * Flaga oznaczająca czy zwracać wartości niepoprawne
	 * Do ustawienie poprzez parametr konstruktora klucz - return_bat_values
	 */
	protected $returnBadValues = false;
	
	/**
	 * Konstruktor
	 * @param array $cfgData Zawier tablicękonfiduracyjną
	 */
	public function __construct( $cfgData ) {
		
		if( isset( $cfgData[ 'return_bat_values' ] ) ) {
			$this->returnBadValues = (bool)$cfgData[ 'return_bat_values' ];
		}
		
	}
	
	
	/**
	 * Filtryuje podane dane zgodnie z drugim parametrem i parametrami podanymi w konstruktorze
	 * @param $data array dane wejściowe do filtrowania
	 * @param $keys array tablica kluczy, które będą filtrowane i zwrócone
	 * @returns array
	 */
	public function filter( $data , $keys = array() ) {
		
		
		
	}
}


?>