<?php

namespace System;

use \Model\MainContentEvaluation;

class ContentEvaluation {
	
	protected $sqlObj = null;
	
	protected function getSqlObj() {
	
		if( null == $this->sqlObj ) {
			
			$MainContentEvaluation = new MainContentEvaluation;
			$this->sqlObj = $MainContentEvaluation;
		}
		
		return $this->sqlObj;
	}
	
	public function isEvaluationPossible( $userId , $contentId , $langId ) {
		
		try {
			
			return (bool)$this->getSqlObj()->isEvaluationPossible( $userId , $contentId , $langId );
		
		} catch( \Exception $e ) {
			
			throw new \Exception( "Nieudane sprawdzenie czy możliwe jest wystawienie oczeny dla kontentu. userId=\"{$userId}\" , contentId=\"{$contentId}\" , langId=\"{$langId}\". " . $e->getMessage() );
		}
	}
	
	
	public function markContent( $userId , $contentId , $langId , $mark ) {
		
		try {
			
			return (bool)$this->getSqlObj()->markContent( $userId , $contentId , $langId , $mark );
		
		} catch( \Exception $e ) {
			
			throw new \Exception( "Nieudane ocenienie kontentu. userId=\"{$userId}\" , contentId=\"{$contentId}\" , langId=\"{$langId}\". " . $e->getMessage() );
		}
	}
}

?>