<?php

namespace System\Controller;

use Zend\Mvc\Controller\AbstractActionController,
    Zend\Mvc\MvcEvent,
	System\Database\StandardAdapter;

abstract class AbstractSoapController extends AbstractActionController {
	
	protected $cfg;
	
	public function onDispatch( MvcEvent $me ) {
		
		//inicializacja potrzebnych elementw
		$this->cfg = $this->getServiceLocator()->get( 'config' );
		
		StandardAdapter::getInstance( $this->cfg[ 'db' ] );
		
		return parent::onDispatch( $me );
	}
	
	/**
	 * @todo
	 */
	public function log( $data ) {
		
		//return $this->getServiceLocator()->get( 'log' );
	}
}

?>