<?php

namespace System\DefValues;
use Model\cmsMainContentDefaultValues;

class Values {
	
	protected $lang;
	protected $type;
	protected $data;
	
	public function __construct( $lang , $type ) {
	
		$this->lang = $lang;
		$this->type = $type;
		
	}
	
	protected function getData() {
		
		$dbObj = new cmsMainContentDefaultValues;
		$data = $dbObj->getValuesForLang( $this->lang , $this->type );
		
		if( !is_array( $data ) || !count( $data ) ) {
			
			throw new \Exception( __METHOD__ . ". Brak wyników dla języka=\"{$this->lang}\" i typu =\"{$this->type}\"" );
		}
		
		$this->data = $data;
	}
	
	public function getArray() {
		if( null == $this->data ) $this->getData();
		
		$data = $this->data[ 'value' ];
		$res = json_decode( $data , true );
		
		return $res;
	}
	
	
	public function getJson() {
		if( null == $this->data ) $this->getData();
		
		
	}
	
	
	
	public function setData() {
		
	}
	
	
	
}

?>