<?php

namespace System\Filter;
use Zend\Filter\FilterInterface;

class PregReplaceEx implements FilterInterface {
	
	protected $options = array();	

	public function __construct($options = array()) {
		
		if(isset($options['match'])) {
			$this->options['match'] = $options['match'];
		} else { 
			$this->options['match'] = $options[''];
		}
		
		if(isset($options['replace'])) {
			$this->options['replace'] = $options['replace'];
		} else {
			$this->options['replace'] = '';
		}
	}

	public function filter($value) {
		
		return preg_replace($this->options['match'],$this->options['replace'],$value);
	}
}

?>