<?php

namespace System\Form\Transform;

class CmsAddEditEvent extends TransformAbstract {
	
	protected $transformationRules = array(
		'title' => 'title',
		'langId' => 'language',
		'active' => 'active',
		'searchable' => 'searchable',
		'contentSpecNames' => 'spec_names',
		'specs' => 'specs_value',
		'eventType' => 'type',
		'id' => 'content_id',
		'langId' => 'langId',
		'info' => 'content',
		'link' => 'website',
		'city' => 'city',
		'zip' => 'zip',
		'address' => 'address',
		'type' => 'type',
		'tel' => 'phone',
		'fax' => 'fax',
		'email' => 'email',
		'country' => 'country',
		'start' => 'dateStart',
		'end' => 'dateEnd',
		'orgName' => 'organizator_name',
		'orgAddr' => 'organizator_address',
		'scored' => 'pointed',
		'points' => 'pointed_value',
		'paid' => 'paid',
		'price' => 'paid_value',
		'file_url' => 'fileUrl',
		'fileUrl' => 'document_value',
		'collections' => 'collection',
		'visible_in_esculap' => 'esculap_collection',
		'content_of_the_day' => 'content_of_the_day',
                'mainSiteId' => 'main_site_id',
	);
}
