<?php

namespace System\Form\Transform;
use System\Content\Element\AbstractContentElement;

abstract class TransformAbstract {
	
	public function transform( AbstractContentElement $data ) {
		$result = array();
		
		
		if( !isset( $this->transformationRules ) ) {
			//return $result;
		}
                
		foreach( $this->transformationRules as $baseName => $dstName ) {
			if( $data->$baseName ) {
				$value = $data->$baseName;
				if( $dstName == 'date' || $dstName == 'dateStart' || $dstName == 'dateEnd' ) {
					
					$value = explode( '-' , $value );
					$value = "{$value[ 2 ]}/{$value[ 1 ]}/{$value[ 0 ]}";
				} elseif( $dstName == 'specs_value' ) {
					
					$value = implode( ',' , $value );
					
				} elseif( $dstName == 'spec_names' ) {
					
					$value = implode( ' , ' , $value );
				}
				
				$result[ $dstName ] = $value;
			} elseif ($data->$baseName == 0 || $data->$baseName == false) {
                            $result[ $dstName ] = false;
                        }
		}
		
		return $result;
	}
}

?>