<?php

namespace System;

use Zend\Mail\Message,
	Zend\Mail\Transport\Sendmail;

class Mail {
	
	public static function sendMail( $from , $to , $subject , $body ) {
		
		$message = new Message;
        $message->setEncoding('UTF-8');
		$message->setFrom( $from );
		
		if( is_array( $to ) ) {
			
			foreach( $to as $toEntity ) {
				
				$message->setTo( $toEntity );
			}
			
		} else {
			
			$message->setTo( $to );
		}
		
		$message->setSubject( (string)$subject );
		$message->setBody( (string)$body );
		
		$transport = new Sendmail;
		$transport->send( $message );
		
	}
	
}

?>