<?php

namespace System\Misc\Presentation;

use Model\MainMiscSettings,
	Model\MainMiscForms,
	System\Misc\Presentation;

class Factory {
	
	private function __construct() {}
	
	public static function getOne( $name , $userId = null ) {
		
		$MainMiscSettings = new MainMiscSettings;
		
		try {
			
			$settings = $MainMiscSettings->getSettings( $name );
			
		} catch( \Exception $e ) {
			
			throw new Exception\PresentationDatabaseExcetion( $e->getMessage() );
		}
		
		if( false === $settings ) {
				
			throw new Exception\PresentationNotExistsException( "Settings of \"{$name}\" presentatin not found" );
		}
			
		$settings[ 'multiFill' ] = $settings[ 'form_multi_fill' ];
		$settings[ 'formName' ] = $settings[ 'form_name' ];
		$settings[ 'refiuseIndexName' ] = $settings[ 'refiuse_name' ];
		$settings[ 'indexName' ] = $settings[ 'form_index' ];
		$settings[ 'refiuseIndexName' ] = $settings[ 'refiuse_name' ];
		
		
		return new Presentation( $settings );
	}
	
}

?>