<?php

namespace System;

abstract class Observable {
	
	protected $observers = array();

	public function attach(Observer $observer) {
		
		$this->observers[] = $observer;
	}
	
	public function notify($message,$data) {
		foreach($this->observers as $observer) {
			
			$observer->update($message,$data);
		}
	}
}

?>