<?php

namespace System\Translator;

class TranslatorObserver implements \System\Observer {
	
	protected $logger;
	
	public function __construct(\System\Log\LoggerAdapter $logger) {
		$this->logger = $logger;
	}
	
	public function update($name, $data) {
		
		switch($name) {
			case 'phrase_not_found':
				
				$this->logger->notice(@$data['message'],@$data['namespace'],@$data['line']);
				
				break;
		}
	}
}

?>