<?php

namespace System\User;

class User {
	
	protected $id;
	protected $name;
	protected $lastname;
	protected $login;
	
	
	public function __construct( $id , $name = null , $lastname = null , $login = null ) {
		
		$this->id = $id;
		$this->name = $name;
		$this->lastname = $lastname;
		$this->login = $login;
	}
	
	
	public function getId() {
		
		return $this->id;
	}
	
	
	public function getName() {
		
		return $this->name;
	}
	
	
	public function getLastname() {
	
		return $this->lastname;
	}
	
	
	public function getLogin() {
		
		return $this->login;
	}
	
	
	public function __toString() {
		
		return $this->name . ' ' . $this->lastname;
	}
}

?>