<?php 

namespace System\Validator;

use Zend\Validator\AbstractValidator,
    Model\MainContent;
	
class ContentId extends AbstractValidator {
	
	const INVALID_CONTENT_ID = 'InvalidContentId';
	
	protected $messageTemplates = array(
		self::INVALID_CONTENT_ID => 'Content id not exists'
	);
	
	public function isValid( $value ) {
		
		try {
			
			$MainContent = new MainContent;
			
			if( !$MainContent->isContnetExists( (int)$value ) ) {
				
				$error = true;
			} else {
				
				$error = false;
			}
			
		} catch( \Exception $e ) {
			
			$error = true;
		}
		
		if( $error ) {
			
			$this->error( self::INVALID_CONTENT_ID );
			
			return false;
		}
		
		return true;
	}
	
}

?>