<?php

namespace System\View\Helper\BannerElement;

use System\BannerCampaign\Element\Banner,
	System\View\Helper\Truncat;

class SponsoredBanner extends ElementAbstract {
	
	protected $banner;
	
	public function __construct( Banner $banner ) {
		
		$this->banner = $banner;
	}
	
	public function display() {
		
		$result = "<article class=\"mod3 clearfix\">";
		
		
		$target = $this->banner->isFake() ? $this->banner->getUrl() : $this->view->url( 'bc_element_hit' , array( 'bcElementId' => $this->banner->getElementId() ) );
		
		
		if( preg_match( '/flash$/' , $this->banner->getBannerMime() ) ) {
			
			
			
			$result .= '
				<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000"
					codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,0,0"
					width="630" height="56" id="test" align="middle">
					<param name="allowScriptAccess" value="sameDomain" />
					<param name="movie" value="/image/' . $this->banner->getBanner() . '" />
					<param name="menu" value="false" />
					<param name="quality" value="high" />
					<param name="bgcolor" value="#ffffff" />
					<embed src="/image/' . $this->banner->getBanner() . '" menu="false" quality="high"
					bgcolor="#ffffff" width="630" height="200" name="test" align="middle"
					allowScriptAccess="sameDomain" type="application/x-shockwave-flash"
				pluginspage="http://www.macromedia.com/go/getflashplayer" />
				</object>';
			
		} elseif( preg_match( '/^image/' , $this->banner->getBannerMime() ) ) {
				
			$result .= "<a href=\"{$target}\"><img width=\"630\" height=\"200\"src=\"/image/{$this->banner->getBanner()}\"/></a>";
		}
		
		$result .= "</article>";
		
		return $result;
	}
	
}	


?>