<?php
namespace System\View\Helper\DataGrid;

use Zend\View\Helper\AbstractHelper;

class DataGridPaginator extends AbstractHelper {

    protected $view;
    protected $paginator = '';

    public function __invoke() {
        $this->view = $this->getView();
        return $this;
    }

    public function generate() {
        $this->paginator .= '<div class="paging-table"' . ($this->view->request['pages'] > 0 ? : 'style="display: none;"') . '>';
        $this->paginator .= '<table border="0" cellspacing="0" cellpadding="0"><tr><td>';

        $this->paginator .= '<a class="page-far-left esculapTableNavigationFirst"></a>';
        $this->paginator .= '<a class="page-left esculapTableNavigationPrev"></a>';
        $this->paginator .= '<div id="page-info">' . $this->view->translator->translate('page') . ' <strong class="esculapTableNavigationPage">' . $this->view->request['page'] . '</strong> / <span class="esculapTableNavigationPages">' . $this->view->request['pages'] . '</span></div>';
        $this->paginator .= '<a class="page-right esculapTableNavigationNext"></a>';
        $this->paginator .= '<a class="page-far-right esculapTableNavigationLast"></a>';

        $this->paginator .= '</td><td>';

        $this->paginator .= '<select class="styledselect_pages esculapTableNavigationOnPage" style="display: none;">';
        $this->paginator .= '<option value="' . $this->view->request['limit'] . '" selected>' . $this->view->request['limit'] . '</option>';
        $this->paginator .= '</select>';

        $this->paginator .= '</td></tr></table></div>';

        return $this->paginator;
    }

}
