<?php

namespace System\View\Helper;
use Zend\View\helper\AbstractHelper,
    System\View\Helper\Msg;

class DispatchMessage extends AbstractHelper {

	public function __invoke( $messages ) {
		
		$res = '';
		
		if( ( isset( $messages[ 0 ] ) && is_array( $messages[ 0 ] ) && count( $messages[ 0 ] ) ) ||
		    ( isset( $messages[ 1 ] ) && is_array( $messages[ 1 ] ) && count( $messages[ 1 ] ) ) ) {
			
			$msgHelper = new Msg;
			$res .= '<div>';
		}
		
		
		if( isset( $messages[ 0 ] ) && is_array( $messages[ 0 ] ) && count( $messages[ 0 ] ) ) {
			
			foreach( $messages[ 0 ] as $msg ) {
				if( !is_string( $msg ) ) continue;  
				
				$res .= $msgHelper->__invoke( $msg , 'error' );
			}
		}
		
		if ( isset( $messages[ 1 ] ) && is_array( $messages[ 1 ] ) && count( $messages[ 1 ] ) ) {
			
			foreach( $messages[ 1 ] as $msg ) {
				if( !is_string( $msg ) ) continue;  
				
				$res .= $msgHelper->__invoke( $msg , 'ok' );
			}
		}
		
		
		if( ( isset( $messages[ 0 ] ) && is_array( $messages[ 0 ] ) && count( $messages[ 0 ] ) ) ||
		    ( isset( $messages[ 1 ] ) && is_array( $messages[ 1 ] ) && count( $messages[ 1 ] ) ) ) {
			
			$res .= '</div>';
		}
		
		return $res;
	}
	
}

?>