<?php

namespace System\View\Helper;
use Zend\View\Helper\AbstractHelper;
use System\View\Helper\FormatViewElement;

class DisplayBanner extends AbstractHelper {

	public function __invoke($data,$type) {
		switch($type) {
			case 'main':
				if(!isset($data['bannerUrl'])) return '';
				
				
				$result = "
					
					<aside class=\"bnr03\" id=\"bilboard\"><div class=\"bnr03-img img\">";
					
					if( preg_match( '/swf$/' , trim( $data[ 'bannerUrl' ] ) ) ) {
						
						$result .= '
							<!-- przekierowanie -->
							<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000"
							codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,0,0"
							width="750" height="56" id="test" align="middle">
							<param name="allowScriptAccess" value="sameDomain" />
							<param name="movie" value="' . $data[ 'bannerUrl' ] . '" />
							<param name="menu" value="false" />
							<param name="quality" value="high" />
							<param name="bgcolor" value="#ffffff" />
							<embed src="' . $data[ 'bannerUrl' ] . '" menu="false" quality="high"
							bgcolor="#ffffff" width="750" height="200" name="test" align="middle"
							allowScriptAccess="sameDomain" type="application/x-shockwave-flash"
							pluginspage="http://www.macromedia.com/go/getflashplayer" />
							</object>
						';
						
					} else {
						
						$result .= "<a href=\"{$data['dst']}\" class=\"banner_click_register\" id=\"{$data['cfgId']}\"><img width=\"750\" height=\"200\"src=\"{$data['bannerUrl']}\"/></a>";
						
					}
					
					
					
				//$result .= " <button class=\"bilboard_close\">x</button></div>" .
				
					$result = (isset($data['bgUrl']) && strlen($data['bgUrl']) ?
						"<style> .bnr03-undr {background:#fff url({$data['bgUrl']}) no-repeat 50% 0;}; </style><div class=\"bnr03-undr\"></div>" :
						''
					)
					."
					
					</aside>
					
				";
				
				return $result;
			case 'sponsored':
				
				if(!count($data)) return;
				
				$FormatViewElement = new FormatViewElement;
				
				return $FormatViewElement->__invoke($data,'sponsored');
				
				break;
			case 'slider':
				
				$FormatViewElement = new FormatViewElement;
				return $FormatViewElement->__invoke($data,'slider');
				
				break;
			case 'rightSide':
				
				if(!is_array($data) || !count($data)) return; 
				
				return "
					<aside class=\"bnr01\">
						<a href=\"{$data['dst']}\" class=\"banner_click_register\" id=\"{$data['cfgId']}\"><img width=\"310\" height=\"97\" src=\"{$data['bannerUrl']}\"/></a>
					</aside>
				";
				
				break;
		}
	}
}

?>