<?php

namespace System\View\Helper\Formatted;
use System\Content\Element\Event;
use System\View\Helper\FormatUrl;
use System\Translator\TranslatorEx;

class EventSpecialForYou extends AbstractFormattedElement {
	protected $_eventObject;
	protected $_translator;
	
	public function __construct(Event $eventObject) {	
		$this->_translator = TranslatorEx::get();
		$this->_eventObject = $eventObject;
	}
	
	public function __toString() {
		
		$result = "
		<p class=\"mod10-txt text\"><a href=\"".FormatUrl::format('/event/'.$this->_eventObject->id.'/'.$this->_eventObject->title,$this->_eventObject->main_site->getUrlForViewHelper())."\">{$this->_eventObject->title}</a></p>
			
		";
		
		return $result;
	}
}

?>