<?php

namespace System\View\Helper\Formatted;
use System\Content\Element\Publication;
use System\View\Helper\FormatUrl;
use System\Translator\TranslatorEx;
use System\View\Helper\Formatted\WrappableInterface;

class PublicationLinkList extends AbstractFormattedElement implements WrappableInterface{
	protected $_publObject;
	protected $_translator;
	
	public function __construct(Publication $publObject) {
		$this->_translator = TranslatorEx::get();
		$this->_publObject = $publObject;
	}
	
	public function __toString() {

		$result = "<li><a href=\"".FormatUrl::format("/publication/{$this->_publObject->id}/{$this->_publObject->title}",$this->_publObject->main_site->getUrlForViewHelper())."\">{$this->_publObject->title}</a></li>";
		
		return $result;
	}
}


?>