<?php

namespace System\View\Helper\Formatted\Wrappers;
use System\Translator\TranslatorEx;

class EventWrapper extends AbstractWrapper {
	
	protected $linkList;
	protected $translator;
	
	public function __construct($linkList,$options = array()) {
		
		$this->linkList = $linkList;
		$this->translator = TranslatorEx::get();
	}
	
	public function __toString() {
		$result = "
		<section class=\"mod10\">
			<header class=\"mod10-top\">
				<h1 class=\"mod10-hdr hdr20\">{$this->translator->translate('main_events')}</h1>
				<p class=\"mod10-nav\"><a href=\"/events\" class=\"link4\">{$this->translator->translate('main_more')}</a></p>
			</header>
			
			{$this->linkList}
				
		</section>
		";
		
		return $result;
	}
}

?>