<?php

namespace System\View\Helper\Formatted\Wrappers;
use System\Translator\TranslatorEx;

class NewsWrapper extends AbstractWrapper {
	
	protected $mainNews;
	protected $linkList;
	protected $translator;
	
	public function __construct($mainNews,$linkList,$options = array()) {
		
		$this->mainNews = $mainNews;
		$this->linkList = $linkList;
		$this->translator = TranslatorEx::get();
	}
	
	public function __toString() {
		$result = "
		<section class=\"mod10\">
			<header class=\"mod10-top\">
				<h1 class=\"mod10-hdr hdr20\">{$this->translator->translate('main_news')}</h1>
				<p class=\"mod10-nav\"><a href=\"/news\" class=\"link4\">{$this->translator->translate('main_more')}</a></p>
			</header>
			
				{$this->mainNews}
			
			<ul class=\"list6\">
			
				{$this->linkList}
				
			</ul>
		</section>
		";
		
		return $result;
	}
}


?>