<?php

namespace System\View\Helper;

use System\View\Helper\ScriptHelper\ScriptAbstract;

class ScriptHelper {
	
	protected $scripts = array();
	
	public function attach( ScriptAbstract $script ) {
		
		$this->scripts[] = $script;
		
		return $this;
	}
	
	
	public function extract() {
		
		$result = ' <!-- ScriptHelper:start -->';
		
		foreach( $this->scripts as $script ) {
			
			$result .= $script->getEntity();
			
		}
		
		$result .= ' <!-- ScriptHelper:end -->';
		
		return $result;
	}
}

?>