<?php

require_once 'abstractTable.class.php';

/**
 * 
 * FFU2S
 * @author sroszczyk
 *
 */
class ffu2s extends abstractTable
{
    protected $table = 'esculap.ffu2s';
    
    /**
     * Zachowanie unikalnosci nazwy
     * @see abstractTable::setField()
     */
    public function setField($f, $v)
    {
        if($f=='name'){
            $obj = new ffu2s();
            $obj->addCondition('name', '=', $f, 'LOWER');
            $obj->search();
            if($obj->getAmount()){
                $trr = explode('.', $v);
                $i = count($trr)>1?(count($trr)-1):0;
                $m = null;
                if(preg_match('(\(([0-9]+)\))', $v, $m)){
                    $trr[$i] = str_replace($m[0], '('.($m[1]+1).')', $trr[$i]);
                }else{
                    $trr[$i] .= '(2)';
                }
                $v = implode('.', $trr);
                $this->setField($f, $v);
                return $this->setField($f, $v);
            }
            $v = str_replace(array(' '), '', $v);
        }
        return parent::setField($f, $v);
    }
}

?>