<?php

class postcard
{
    /** Uchwyt do bazy danych **/
    private $db;
    
    /**
     *
     **/
    public function __construct()
    {
        global $db;
        $this->db = $db;
    }
     
    public function getPostcardListByType( $typ )
    {
        $sql = "SELECT m.id_kartka, m.card_name , m.author_quote FROM main_kartki m WHERE m.card_type_code='$typ' AND m.status='VIS'  ORDER BY pos;";
        $data = $this->db->getAll($sql);               
        return $data;        
    }
    
    public function getPostcardType( $typ )
    {
        $sql = "select card_type_code, card_type_name, description from dict_card_types where card_type_code='$typ' LIMIT 1;";       
        $data = $this->db->getRow($sql);               
        return $data;        
    }
    
    public function getPostcardTypeList()
    {
        $sql = "select card_type_code, card_type_name, description from dict_card_types ;";
        $data = $this->db->getAll($sql);               
        return $data;        
    }
    

    public function getPostcardById( $id )
    {
        $sql = "SELECT m.id_kartka, m.card_name , m.author_quote FROM main_kartki m where m.id_kartka='$id' LIMIT 1;";
        $data = $this->db->getRow($sql);               
        return $data;        
    }
    
    
    public function getStampList()
    {
        $sql = "SELECT id_znaczek, img_file_name, img_width, img_height FROM main_znaczki WHERE status = 'VIS' ORDER BY pos";
        $data = $this->db->getAll($sql);               
        return $data;        
    }


    public function getStampById( $id )
    { 
        $sql = "SELECT id_znaczek, img_file_name, img_width, img_height FROM main_znaczki WHERE status = 'VIS' AND id_znaczek='$id' LIMIT 1";
        $data = $this->db->getRow($sql);               
        return $data;        
    }
    
    
    public function logSend(  &$data )   
    {
    	$sql="insert into MAIN_KARTKI_LOG(
    				kartka_code,
					id_kartka,
					id_znaczek,
					nadawca,
					email_nadawcy,
					adresat,
					email_adresata,
					tresc,
					user_login,
					date_sent,
					status
				)values(							    	
			    	'%s',
			    	'%s',
			    	'%s',
			    	'%s',
			    	'%s',
			    	'%s',
			    	'%s',
			    	'%s',
			    	'%s',
					NOW(),
			    	'VIS'
			    );";
    	
    	$sqlEx=sprintf( $sql, $data['kartka_code'], $data['id_kartka'],$data['id_znaczek'], $data['nadawca'], $data['email_nadawcy'], 
    					$data['adresat'], $data['email_adresata'], $data['tresc'], $data['user_login'] 
    	);
    	  	
    	//echo $sqlEx;
    	$this->db->exec($sqlEx);    	 
    }
    
    public function  readPostcardById(  $id )   
    {
 
    	
    	$sql = "SELECT kartka_code,
				id_kartka,id_znaczek,nadawca,email_nadawcy,adresat,
				email_adresata,tresc,user_login,date_sent,status  
				FROM MAIN_KARTKI_LOG 
				WHERE kartka_code='$id' ";
       	// echo $sql;
    	$data = $this->db->getRow($sql);      
                 
        return $data;        	  	    	    	 
    }
    
   
} 


?>
