<?php

class social4
{
    /** uchwyt bazy danych **/
    private $edb;
    private $sdb;
    
    public function __construct($db1 = null, $sdb = null)
    {
        global $db;
        $this->edb = $db;
        $this->sdb = DB_connect('social4');//$sdb;
    }
    
    /**
     *
     **/
    public function registerUser($user_login, $email = null, $woman = false)
    {
        $user = get_user_data($user_login);
        if(!$user)
            return false;
        $salt = 1234567;
        $gsalt = $this->sdb->getOne('SELECT value FROM engine4_core_settings WHERE name=\'core.secret\'');
        $pass = md5($salt.$user['password'].$gsalt);
        
        $data = null;
        $data['email'] = $email=='esc'?$user['email_esc']:$user['email_ext'];
        $data['username'] = $user_login;
        $data['displayname'] = $user_login;//$user['first_name'].' '.$user['last_name'];
        $data['password'] = $pass;
        $data['salt'] = $salt;
        $data['locale'] = 'PL';
        $data['language'] = 'pl';
        $data['timezone'] = 'Europe/Berlin';
        $data['search'] = 1;
        $data['level_id'] = 22;
        $data['enabled'] = 1;
        $data['verified'] = 1;
        $data['creation_date'] = date('Y-m-d H:i:s');//substr($user['start_date'], 0, 19);
        $data['creation_ip'] = $this->codeIp($_SERVER['REMOTE_ADDR']);//zlozyc ipeeka
        
        $sql = "INSERT INTO engine4_users (".implode(', ', array_keys($data)).") VALUES ('".implode("', '", array_values($data))."')";
        $this->sdb->exec($sql);
        
        $uid = $this->sdb->getOne("SELECT LAST_INSERT_ID()");
        
        $data = null;
        $data[1] = 1;
        $data[3] = '';//$user['first_name'];
        $data[4] = '';//$user['last_name'];
        $data[5] = $woman?3:2;
        $data[6] = $this->levelMask($user['user_type'], true);
        
        //Dodanie uzytkownika
        $sql = "INSERT INTO engine4_user_fields_search (item_id, profile_type, first_name, last_name, field_5, 	field_6) ".
               "VALUES ('{$uid}', {$data[1]}, '{$data[3]}', '{$data[4]}', '{$data[5]}', '{$data[6]}')";
        $this->sdb->exec($sql);
        
        //Dodawanie pól użytkownika
        foreach($data as $id => $value){
            $sql = "INSERT INTO engine4_user_fields_values (`item_id`, `field_id`, `index`, `value`) VALUES ('{$uid}', '{$id}', 0, '{$value}')";
            $this->sdb->exec($sql);
        }
        
        //Dodanie przynależnoći do sieci
        $resource = $this->levelMask($user['user_type'], false);
        $sql = "INSERT INTO engine4_network_membership (resource_id, user_id, active, resource_approved, user_approved) ".
               "VALUES ('{$resource}', '{$uid}', 1, 1, 1)";
        $this->sdb->exec($sql);
        
        //Dodanie aktywności rejestracji
        $sql = "INSERT INTO engine4_activity_actions (type, subject_type, subject_id, object_type, object_id, body, params, date) ".
               "VALUES ('signup', 'user', '{$uid}', 'user', '{$uid}', '', '[]', NOW())";
        $this->sdb->exec($sql);
        
        //Incrementacja statystyk
        $czas = date('Y-m-d');
        $sql = "SELECT COUNT(1) FROM engine4_core_statistics WHERE type='user.creations' AND date>'{$czas} 00:00:00' AND date<'{$czas} 23:59:59'";
        $res = $this->sdb->getOne($sql);
        if($res)
            $sql = "UPDATE engine4_core_statistics SET value=value+1 WHERE type='user.creations' AND date>'{$czas} 00:00:00' AND date<'{$czas} 23:59:59'";
        else
            $sql = "INSERT INTO engine4_core_statistics (type, date, value) VALUES ('user.creations', '{$czas} 22:00:00', 1)";
        $this->sdb->exec($sql);
        
        return true;
    }
    
    private function codeIp($ip)
    {
        $arr = explode('.', $ip);
        if(count($arr)!=4)
            return 0;
        $code = $arr[0]*256*256*256 + $arr[1]*256*256 + $arr[2]*256 + $arr[3];
        return $code;
    }
    
    private function levelMask($type, $str = false)
    {
        $string = $level = null;
        switch($type){
            case 'MEDCARE':
                $string = 'MEDCARE';//Pielęgniarki
                $level = 1;
                break;
            case 'DOCTORPL':
            case 'DOCTORFOR':
                $string = 'DOCTOR';//Lekarze
                $level = 6;
                break;
            case 'PHARMACY_TECH':
            case 'PHARMACY':
                $string = 'PHARMACY';//Farmaceuci
                $level = 7;
                break;
            case 'EMERGENCY':
                $string = 'EMERGENCY';//Ratownicy
                $level = 8;
                break;
            case 'STUDENT':
                $string = 'STUDENT';//Studenci
                $level = 9;
                break;
            case 'PHARMCMP':
            case 'JORNALIST':
            case 'PSYCHOLOGY':
            case 'VETERINARY':
            case 'ADMINITRATION':
            case 'LIBRARIAN':
            case 'REHABILIT':
            case 'DIAGNOSTIC':
            case 'PHYSIOTHER':
            case 'DIETICIAN':
            case 'SCIENTIST':
            default:
                $string = 'OTHER';//Inni specjalisci medyczni
                $level = 5;
                break;
        }
        
        if($str) return $string;
        return $level;
    }
    
    public function returnSE4User($user_login)
    {
        $sql = "SELECT * FROM engine4_users WHERE username='{$user_login}'";
        $data = $this->sdb->getRow($sql);
        if(isset($data['user_id']))
            return $data;
        return false;
    }
    
    public function countNotifications($user_id)
    {
        $sql = "SELECT COUNT(*) FROM engine4_activity_notifications WHERE user_id='{$user_id}' AND `read`=0";
        return $this->sdb->getOne($sql);
    }
    
    public function lastJoinUser($subnets = null, $limit = 5)
    {
        $whr = null;
        if(is_array($subnets) && preg_match('(^[0-9,]*$)', $tmp = implode(', ',$subnets))){
            $whr = 'AND nm.resource_id IN ('.$tmp.')';
        }elseif(is_numeric($subnets) && $subnets>0){
            $whr = 'AND nm.resource_id = '.$subnets;
        }
        
        $sql = <<< SQL
SELECT DISTINCT u.photo_id, u.user_id, u.displayname, u.username 
FROM engine4_users u 
LEFT OUTER JOIN engine4_network_membership nm 
ON u.user_id=nm.user_id 
WHERE 
nm.active=1 
AND u.enabled=1 
{$whr} 
ORDER BY 
u.user_id DESC 
LIMIT {$limit} 
SQL;
        $data = $this->sdb->getAll($sql);
        for($i=0;$i<count($data);$i++)
            if($data[$i]['photo_id']){
                $ext = $this->sdb->getOne("SELECT extension FROM engine4_storage_files WHERE file_id='{$data[$i]['photo_id']}'");
                $data[$i]['user_photo'] = "public/user/1000000/1000/{$data[$i]['user_id']}/{$data[$i]['photo_id']}.{$ext}";
            }
        return $data;
    }
    
    public function lastTopics($subnets = null, $limit = 5)
    {
        $whr = null;
        if(is_array($subnets) && preg_match('(^[0-9,]*$)', $tmp = implode(', ',$subnets))){
            $whr = 'WHERE fn.network_id IN ('.$tmp.')';
        }elseif(is_numeric($subnets) && $subnets>0){
            $whr = 'WHERE fn.network_id = '.$subnets;
        }
        $sql = <<< SQL
SELECT DISTINCT ft.forum_id, ft.title, ft.topic_id 
FROM engine4_forum_topics ft 
LEFT OUTER JOIN engine4_forum_networks fn 
ON ft.forum_id=fn.forum_id 
{$whr} 
ORDER BY 
ft.topic_id DESC 
LIMIT {$limit}
SQL;
        $data = $this->sdb->getAll($sql);
        return $data;
    }
    
    public function forumTopics($forum_id)
    {
        $sql = "SELECT * FROM engine4_forum_topics WHERE forum_id='{$forum_id}' ORDER BY topic_id DESC";
        $data = $this->sdb->getAll($sql);
        return $data;
    }
    
    public function chatEnabled($uid)
    {
        $sql = "SELECT COUNT(1) FROM engine4_chat_users WHERE user_id='{$uid}'";
        if($this->sdb->getOne($sql)==0)
            return true;
        
        $sql = "SELECT state FROM engine4_chat_users WHERE user_id='{$uid}'";
        if($this->sdb->getOne($sql)>0)
            return true;
        return false;
    }
}

?>